// Copyright (c) The Vignette Authors
// Licensed under GPL-3.0 (With SDK Exception). See LICENSE for details.

using osu.Framework.Graphics.Sprites;

namespace Vignette.Game.Graphics.Typesets
{
    public static class SegoeFluent
    {
        private static IconUsage get(int icon) => new IconUsage((char)icon, "SegoeFluent", "Regular");
        public static IconUsage AccessTime => get(0xf101);
        public static IconUsage Accessibility => get(0xfcb7);
        public static IconUsage Add => get(0xf10b);
        public static IconUsage AddCircle => get(0xfcba);
        public static IconUsage Airplane => get(0xf110);
        public static IconUsage AirplaneTakeOff => get(0xf113);
        public static IconUsage Alert => get(0xfd9d);
        public static IconUsage AlertOff => get(0xf11a);
        public static IconUsage AlertOn => get(0xf11b);
        public static IconUsage AlertSnooze => get(0xf11d);
        public static IconUsage AlertUrgent => get(0xfb6c);
        public static IconUsage AnimalDog => get(0xff24);
        public static IconUsage AppFolder => get(0xf123);
        public static IconUsage AppGeneric => get(0xf124);
        public static IconUsage AppRecent => get(0xf125);
        public static IconUsage AppStore => get(0xf12a);
        public static IconUsage AppTitle => get(0xf12b);
        public static IconUsage ApprovalsApp => get(0xfb23);
        public static IconUsage Apps => get(0xf135);
        public static IconUsage AppsAddIn => get(0xfe3b);
        public static IconUsage AppsList => get(0xf8cb);
        public static IconUsage Archive => get(0xf8cc);
        public static IconUsage ArrowClockwise => get(0xffe9);
        public static IconUsage ArrowCounterclockwise => get(0xffed);
        public static IconUsage ArrowCurveDownLeft => get(0xfe3e);
        public static IconUsage ArrowCurveDownRight => get(0xf142);
        public static IconUsage ArrowCurveUpLeft => get(0xf145);
        public static IconUsage ArrowCurveUpRight => get(0xf146);
        public static IconUsage ArrowDown => get(0xf14d);
        public static IconUsage ArrowDownLeft => get(0xfd9f);
        public static IconUsage ArrowDownload => get(0xf152);
        public static IconUsage ArrowExpand => get(0xf154);
        public static IconUsage ArrowForward => get(0xfea4);
        public static IconUsage ArrowImport => get(0xf15a);
        public static IconUsage ArrowLeft => get(0x100a1);
        public static IconUsage ArrowMaximize => get(0xf161);
        public static IconUsage ArrowMaximizeVertical => get(0xf163);
        public static IconUsage ArrowMinimize => get(0xf167);
        public static IconUsage ArrowMinimizeVertical => get(0xf168);
        public static IconUsage ArrowMove => get(0xf8e5);
        public static IconUsage ArrowNext => get(0xf16b);
        public static IconUsage ArrowPrevious => get(0xf16d);
        public static IconUsage ArrowRedo => get(0x100a3);
        public static IconUsage ArrowRepeatAll => get(0xf172);
        public static IconUsage ArrowRepeatAllOff => get(0xf175);
        public static IconUsage ArrowReply => get(0xf179);
        public static IconUsage ArrowReplyAll => get(0xf17d);
        public static IconUsage ArrowReplyDown => get(0xf180);
        public static IconUsage ArrowRight => get(0x100a4);
        public static IconUsage ArrowRotateClockwise => get(0xffee);
        public static IconUsage ArrowRotateCounterclockwise => get(0xf188);
        public static IconUsage ArrowSort => get(0xf1ab);
        public static IconUsage ArrowSwap => get(0xf18e);
        public static IconUsage ArrowSync => get(0xfea5);
        public static IconUsage ArrowSyncCircle => get(0xf194);
        public static IconUsage ArrowSyncOff => get(0x100ac);
        public static IconUsage ArrowTrending => get(0xf198);
        public static IconUsage ArrowUndo => get(0xfbcc);
        public static IconUsage ArrowUp => get(0x100ad);
        public static IconUsage ArrowUpLeft => get(0xfb70);
        public static IconUsage ArrowUpRight => get(0xfda4);
        public static IconUsage ArrowUpload => get(0xfe3f);
        public static IconUsage ArrowsBidirectional => get(0xf1a6);
        public static IconUsage Attach => get(0xfe40);
        public static IconUsage Autocorrect => get(0xf1ae);
        public static IconUsage Autosum => get(0xf1b0);
        public static IconUsage Backspace => get(0xf1b2);
        public static IconUsage Badge => get(0xf1b5);
        public static IconUsage Balloon => get(0x10132);
        public static IconUsage Battery0 => get(0xf1bc);
        public static IconUsage Battery1 => get(0xf1be);
        public static IconUsage Battery2 => get(0xf1c0);
        public static IconUsage Battery3 => get(0xf1c2);
        public static IconUsage Battery4 => get(0xf1c4);
        public static IconUsage Battery5 => get(0xf1c6);
        public static IconUsage Battery6 => get(0xf1c8);
        public static IconUsage Battery7 => get(0xf1ca);
        public static IconUsage Battery8 => get(0xf1cc);
        public static IconUsage Battery9 => get(0xf1ce);
        public static IconUsage BatteryCharge => get(0xf1d0);
        public static IconUsage BatteryFull => get(0xf1d2);
        public static IconUsage BatterySaver => get(0xf1d4);
        public static IconUsage BatteryWarning => get(0xf1d5);
        public static IconUsage Beaker => get(0xf1d8);
        public static IconUsage Bed => get(0xf8f7);
        public static IconUsage Block => get(0xf1dd);
        public static IconUsage Bluetooth => get(0xf8f8);
        public static IconUsage BluetoothConnected => get(0xf1e0);
        public static IconUsage BluetoothDisabled => get(0xf1e1);
        public static IconUsage BluetoothSearching => get(0xf1e2);
        public static IconUsage Board => get(0xfe43);
        public static IconUsage BookGlobe => get(0xf1f0);
        public static IconUsage BookNumber => get(0xf1f3);
        public static IconUsage Bookmark => get(0xfda7);
        public static IconUsage BookmarkOff => get(0xf1f8);
        public static IconUsage Bot => get(0xfb75);
        public static IconUsage BotAdd => get(0xfd8b);
        public static IconUsage Branch => get(0xf1fb);
        public static IconUsage Briefcase => get(0xff38);
        public static IconUsage BroadActivityFeed => get(0xfff4);
        public static IconUsage Broom => get(0xf1fe);
        public static IconUsage Building => get(0xfd19);
        public static IconUsage BuildingRetail => get(0xff3a);
        public static IconUsage Calculator => get(0xfe1b);
        public static IconUsage Calendar3Day => get(0xff43);
        public static IconUsage CalendarAdd => get(0xf212);
        public static IconUsage CalendarAgenda => get(0xf215);
        public static IconUsage CalendarArrowRight => get(0xff44);
        public static IconUsage CalendarAssistant => get(0x100b3);
        public static IconUsage CalendarCancel => get(0xf930);
        public static IconUsage CalendarCheckmark => get(0xf85f);
        public static IconUsage CalendarClock => get(0xf931);
        public static IconUsage CalendarDay => get(0xff45);
        public static IconUsage CalendarEmpty => get(0xfe49);
        public static IconUsage CalendarMonth => get(0xf22c);
        public static IconUsage CalendarMultiple => get(0xf204);
        public static IconUsage CalendarOverdue => get(0xf22f);
        public static IconUsage CalendarPerson => get(0xfff6);
        public static IconUsage CalendarReply => get(0xf234);
        public static IconUsage CalendarSettings => get(0xff47);
        public static IconUsage CalendarStar => get(0xfffa);
        public static IconUsage CalendarSync => get(0xf23a);
        public static IconUsage CalendarToday => get(0xf23e);
        public static IconUsage CalendarWeekNumbers => get(0xf23f);
        public static IconUsage CalendarWeekStart => get(0xf242);
        public static IconUsage CalendarWorkWeek => get(0x10133);
        public static IconUsage CallAdd => get(0xf246);
        public static IconUsage CallEnd => get(0xff49);
        public static IconUsage CallForward => get(0xf93f);
        public static IconUsage CallInbound => get(0xf942);
        public static IconUsage CallMissed => get(0xfbda);
        public static IconUsage CallOutbound => get(0xf947);
        public static IconUsage CallPark => get(0xf861);
        public static IconUsage CalligraphyPen => get(0xf253);
        public static IconUsage Camera => get(0xfe1c);
        public static IconUsage CameraAdd => get(0xf259);
        public static IconUsage CameraSwitch => get(0xf25a);
        public static IconUsage Caret => get(0xf25e);
        public static IconUsage CaretDown => get(0xf262);
        public static IconUsage CaretLeft => get(0xf266);
        public static IconUsage CaretRight => get(0xf26a);
        public static IconUsage Cart => get(0xf952);
        public static IconUsage Cast => get(0xf26e);
        public static IconUsage Cellular3g => get(0xf26f);
        public static IconUsage Cellular4g => get(0xf270);
        public static IconUsage CellularData1 => get(0xf272);
        public static IconUsage CellularData2 => get(0xf274);
        public static IconUsage CellularData3 => get(0xf276);
        public static IconUsage CellularData4 => get(0xf278);
        public static IconUsage CellularData5 => get(0xf27a);
        public static IconUsage Certificate => get(0xf27f);
        public static IconUsage Channel => get(0xf956);
        public static IconUsage Chat => get(0xff4f);
        public static IconUsage ChatBubblesQuestion => get(0xf8a8);
        public static IconUsage ChatHelp => get(0xf220);
        public static IconUsage ChatOff => get(0xfb7c);
        public static IconUsage ChatWarning => get(0x100b6);
        public static IconUsage CheckboxChecked => get(0xf27c);
        public static IconUsage CheckboxUnchecked => get(0xf292);
        public static IconUsage Checkmark => get(0xf8d4);
        public static IconUsage CheckmarkCircle => get(0xf8e8);
        public static IconUsage CheckmarkLock => get(0xf29d);
        public static IconUsage CheckmarkSquare => get(0xf29e);
        public static IconUsage CheckmarkUnderlineCircle => get(0xf2a0);
        public static IconUsage ChevronDown => get(0xf2a6);
        public static IconUsage ChevronLeft => get(0xf2ad);
        public static IconUsage ChevronRight => get(0xf2b3);
        public static IconUsage ChevronUp => get(0xf2b9);
        public static IconUsage Circle => get(0xfe4e);
        public static IconUsage CircleHalfFill => get(0xf30a);
        public static IconUsage CircleLine => get(0xfe50);
        public static IconUsage CircleSmall => get(0xfd23);
        public static IconUsage City => get(0xf2c3);
        public static IconUsage Class => get(0xf2c4);
        public static IconUsage Classification => get(0xf2c7);
        public static IconUsage ClearFormatting => get(0xf2c8);
        public static IconUsage Clipboard => get(0xfd24);
        public static IconUsage ClipboardCode => get(0xf2cd);
        public static IconUsage ClipboardLetter => get(0xf2d0);
        public static IconUsage ClipboardLink => get(0xf2d3);
        public static IconUsage ClipboardMore => get(0xf2d4);
        public static IconUsage ClipboardPaste => get(0xf96e);
        public static IconUsage ClipboardSearch => get(0xf2d8);
        public static IconUsage Clock => get(0xfcd0);
        public static IconUsage ClockAlarm => get(0xff60);
        public static IconUsage ClosedCaption => get(0x10181);
        public static IconUsage Cloud => get(0xfec0);
        public static IconUsage CloudBackup => get(0xfec4);
        public static IconUsage CloudDownload => get(0xfec5);
        public static IconUsage CloudOff => get(0xfec9);
        public static IconUsage CloudOffline => get(0xf2ec);
        public static IconUsage CloudSyncComplete => get(0xfed2);
        public static IconUsage Code => get(0xf339);
        public static IconUsage Collections => get(0xf2f2);
        public static IconUsage CollectionsAdd => get(0xf2f4);
        public static IconUsage Color => get(0xff64);
        public static IconUsage ColorBackground => get(0xf2f8);
        public static IconUsage ColorFill => get(0xf2fa);
        public static IconUsage ColorLine => get(0xf97a);
        public static IconUsage ColumnTriple => get(0xff65);
        public static IconUsage Comment => get(0xf980);
        public static IconUsage CommentAdd => get(0xf985);
        public static IconUsage CommentMention => get(0xf305);
        public static IconUsage CommentMultiple => get(0x100c2);
        public static IconUsage Communication => get(0xf30e);
        public static IconUsage CompassNorthwest => get(0xf312);
        public static IconUsage Compose => get(0xf316);
        public static IconUsage ConferenceRoom => get(0xf31b);
        public static IconUsage Connector => get(0xf31e);
        public static IconUsage ContactCard => get(0xf93a);
        public static IconUsage ContactCardGroup => get(0xf9a0);
        public static IconUsage ContentSettings => get(0xfcd4);
        public static IconUsage ConvertToTable => get(0xf326);
        public static IconUsage ConvertToText => get(0xf327);
        public static IconUsage Cookies => get(0xf329);
        public static IconUsage Copy => get(0xf32c);
        public static IconUsage Crop => get(0xf9a6);
        public static IconUsage CropInterim => get(0xf332);
        public static IconUsage CropInterimOff => get(0xf333);
        public static IconUsage Cube => get(0x100c7);
        public static IconUsage Cut => get(0xf33b);
        public static IconUsage DarkTheme => get(0xf33c);
        public static IconUsage DataArea => get(0xf33d);
        public static IconUsage DataBarHorizontal => get(0xf39b);
        public static IconUsage DataBarVertical => get(0xf340);
        public static IconUsage DataFunnel => get(0xf341);
        public static IconUsage DataHistogram => get(0xf342);
        public static IconUsage DataLine => get(0xfb81);
        public static IconUsage DataPie => get(0xf345);
        public static IconUsage DataScatter => get(0xf346);
        public static IconUsage DataSunburst => get(0xf347);
        public static IconUsage DataTreemap => get(0xf348);
        public static IconUsage DataUsage => get(0xf9b8);
        public static IconUsage DataWaterfall => get(0xf34a);
        public static IconUsage DataWhisker => get(0xf34b);
        public static IconUsage Delete => get(0xf9bb);
        public static IconUsage DeleteOff => get(0xf353);
        public static IconUsage Dentist => get(0xf9c0);
        public static IconUsage DesignIdeas => get(0xf357);
        public static IconUsage Desktop => get(0xfdb8);
        public static IconUsage DeveloperBoard => get(0xfe5e);
        public static IconUsage DeviceEq => get(0xf35d);
        public static IconUsage Dialpad => get(0x1014c);
        public static IconUsage DialpadOff => get(0xf360);
        public static IconUsage Directions => get(0x10006);
        public static IconUsage Dismiss => get(0xf400);
        public static IconUsage DismissCircle => get(0xff76);
        public static IconUsage DividerShort => get(0xf370);
        public static IconUsage DividerTall => get(0x10007);
        public static IconUsage Dock => get(0xf372);
        public static IconUsage DockRow => get(0xf376);
        public static IconUsage Doctor => get(0xf9cd);
        public static IconUsage Document => get(0xfdba);
        public static IconUsage DocumentBriefcase => get(0xf37d);
        public static IconUsage DocumentCatchUp => get(0xf9db);
        public static IconUsage DocumentCopy => get(0xf382);
        public static IconUsage DocumentDismiss => get(0x10009);
        public static IconUsage DocumentEdit => get(0xf387);
        public static IconUsage DocumentEndnote => get(0xf389);
        public static IconUsage DocumentError => get(0xf38c);
        public static IconUsage DocumentFooter => get(0xfed4);
        public static IconUsage DocumentFooterRemove => get(0xf38e);
        public static IconUsage DocumentHeader => get(0xfed6);
        public static IconUsage DocumentHeaderFooter => get(0xfed9);
        public static IconUsage DocumentHeaderRemove => get(0xf392);
        public static IconUsage DocumentLandscape => get(0xf394);
        public static IconUsage DocumentMargins => get(0xf396);
        public static IconUsage DocumentOnePage => get(0xf39a);
        public static IconUsage DocumentPageBottomCenter => get(0xf39d);
        public static IconUsage DocumentPageBottomLeft => get(0xf39f);
        public static IconUsage DocumentPageBottomRight => get(0xf3a1);
        public static IconUsage DocumentPageBreak => get(0xf9df);
        public static IconUsage DocumentPageNumber => get(0xf3a4);
        public static IconUsage DocumentPageTopCenter => get(0xf3a6);
        public static IconUsage DocumentPageTopLeft => get(0xf3a8);
        public static IconUsage DocumentPageTopRight => get(0xf3aa);
        public static IconUsage DocumentPdf => get(0xfdbb);
        public static IconUsage DocumentSearch => get(0xff81);
        public static IconUsage DocumentToolbox => get(0xf3b1);
        public static IconUsage DocumentWidth => get(0xf3b9);
        public static IconUsage DoubleSwipeDown => get(0xf3ba);
        public static IconUsage DoubleSwipeUp => get(0xf3bb);
        public static IconUsage Drafts => get(0xf3c0);
        public static IconUsage Drag => get(0xf3c1);
        public static IconUsage DrinkBeer => get(0xf9e1);
        public static IconUsage DrinkCoffee => get(0xf9e2);
        public static IconUsage DrinkMargarita => get(0xf9e4);
        public static IconUsage DrinkWine => get(0xf9e6);
        public static IconUsage DualScreen => get(0x100d7);
        public static IconUsage DualScreenAdd => get(0xf3c9);
        public static IconUsage DualScreenArrowRight => get(0xf3ca);
        public static IconUsage DualScreenClock => get(0xf3cb);
        public static IconUsage DualScreenDesktop => get(0xf3cc);
        public static IconUsage DualScreenGroup => get(0xf3ce);
        public static IconUsage DualScreenHeader => get(0xf3cf);
        public static IconUsage DualScreenLock => get(0xf3d0);
        public static IconUsage DualScreenMirror => get(0xf3d1);
        public static IconUsage DualScreenPagination => get(0xf3d2);
        public static IconUsage DualScreenSettings => get(0xf3d3);
        public static IconUsage DualScreenStatusBar => get(0xf3d4);
        public static IconUsage DualScreenTablet => get(0xf3d5);
        public static IconUsage DualScreenUpdate => get(0xf3d6);
        public static IconUsage DualScreenVerticalScroll => get(0xf3d7);
        public static IconUsage DualScreenVibrate => get(0xf3d8);
        public static IconUsage Earth => get(0xf3db);
        public static IconUsage Edit => get(0xf9e8);
        public static IconUsage Emoji => get(0xf3e1);
        public static IconUsage EmojiAdd => get(0xfb37);
        public static IconUsage EmojiAngry => get(0xf3e4);
        public static IconUsage EmojiLaugh => get(0xff83);
        public static IconUsage EmojiMeh => get(0xf3e8);
        public static IconUsage EmojiSad => get(0x1000d);
        public static IconUsage EmojiSurprise => get(0xf3ec);
        public static IconUsage EraserTool => get(0xf3ef);
        public static IconUsage ErrorCircle => get(0xf9f4);
        public static IconUsage ExtendedDock => get(0xf3f4);
        public static IconUsage Extension => get(0x1000e);
        public static IconUsage EyeHide => get(0xf3f8);
        public static IconUsage EyeShow => get(0xf3fc);
        public static IconUsage FastAcceleration => get(0xf3fd);
        public static IconUsage FastForward => get(0xf3ff);
        public static IconUsage Filter => get(0xfe62);
        public static IconUsage Fingerprint => get(0xf9ff);
        public static IconUsage Flag => get(0xf40e);
        public static IconUsage FlagOff => get(0xfd41);
        public static IconUsage FlashAuto => get(0xf412);
        public static IconUsage FlashOff => get(0xf413);
        public static IconUsage FlashOn => get(0xf415);
        public static IconUsage Flashlight => get(0xff8b);
        public static IconUsage FlashlightOff => get(0xf417);
        public static IconUsage Folder => get(0xfcde);
        public static IconUsage FolderAdd => get(0xff8e);
        public static IconUsage FolderBriefcase => get(0xf420);
        public static IconUsage FolderLink => get(0xf428);
        public static IconUsage FolderOpen => get(0xf42f);
        public static IconUsage FolderOpenVertical => get(0xf430);
        public static IconUsage FolderZip => get(0xf436);
        public static IconUsage FontDecrease => get(0xf438);
        public static IconUsage FontIncrease => get(0xf43a);
        public static IconUsage FontSpaceTrackingIn => get(0xf43e);
        public static IconUsage FontSpaceTrackingOut => get(0xf442);
        public static IconUsage Food => get(0xff93);
        public static IconUsage FoodCake => get(0x10151);
        public static IconUsage FoodEgg => get(0xfa09);
        public static IconUsage FoodToast => get(0xfa0b);
        public static IconUsage FormNew => get(0xf44a);
        public static IconUsage Fps240 => get(0xfd44);
        public static IconUsage Fps960 => get(0xf44e);
        public static IconUsage Games => get(0xf451);
        public static IconUsage Gesture => get(0xf452);
        public static IconUsage Gif => get(0xff97);
        public static IconUsage Gift => get(0xff98);
        public static IconUsage Glance => get(0x100d8);
        public static IconUsage Glasses => get(0xfa11);
        public static IconUsage GlassesOff => get(0xfa15);
        public static IconUsage Globe => get(0xfdbe);
        public static IconUsage GlobeAdd => get(0xf45c);
        public static IconUsage GlobeClock => get(0x10010);
        public static IconUsage GlobeDesktop => get(0xf45e);
        public static IconUsage GlobeLocation => get(0xf4dc);
        public static IconUsage GlobeSearch => get(0x10153);
        public static IconUsage GlobeVideo => get(0x10156);
        public static IconUsage Grid => get(0xfe6a);
        public static IconUsage Group => get(0xf466);
        public static IconUsage GroupList => get(0xf467);
        public static IconUsage Guest => get(0xf46b);
        public static IconUsage GuestAdd => get(0xf46c);
        public static IconUsage Handshake => get(0xf470);
        public static IconUsage Hdr => get(0xf471);
        public static IconUsage Headphones => get(0xfe6d);
        public static IconUsage Headset => get(0xfdbf);
        public static IconUsage HeadsetVr => get(0xf477);
        public static IconUsage Heart => get(0x10186);
        public static IconUsage Highlight => get(0xf47d);
        public static IconUsage History => get(0xff9d);
        public static IconUsage Home => get(0xfe23);
        public static IconUsage HomeAdd => get(0xf483);
        public static IconUsage HomeCheckmark => get(0xfe74);
        public static IconUsage Icons => get(0xf486);
        public static IconUsage Image => get(0xf48b);
        public static IconUsage ImageAdd => get(0xf48c);
        public static IconUsage ImageAltText => get(0x10187);
        public static IconUsage ImageCopy => get(0xf491);
        public static IconUsage ImageEdit => get(0xf494);
        public static IconUsage ImageOff => get(0xfb97);
        public static IconUsage ImageSearch => get(0xf49a);
        public static IconUsage ImmersiveReader => get(0x10011);
        public static IconUsage Important => get(0xf4a0);
        public static IconUsage Incognito => get(0xf4a1);
        public static IconUsage Info => get(0xffa0);
        public static IconUsage InkingTool => get(0xfce2);
        public static IconUsage InprivateAccount => get(0xf4ac);
        public static IconUsage Insert => get(0xf4ad);
        public static IconUsage IosArrowLeft => get(0xf4b0);
        public static IconUsage IosChevronRight => get(0xf4b2);
        public static IconUsage Javascript => get(0xf4b5);
        public static IconUsage Key => get(0xfce4);
        public static IconUsage Keyboard => get(0xf4b9);
        public static IconUsage KeyboardDock => get(0xf4ba);
        public static IconUsage KeyboardLayoutFloat => get(0xf4bb);
        public static IconUsage KeyboardLayoutOneHandedLeft => get(0xf4bc);
        public static IconUsage KeyboardLayoutResize => get(0xf4bd);
        public static IconUsage KeyboardLayoutSplit => get(0xf4be);
        public static IconUsage KeyboardShift => get(0xfe25);
        public static IconUsage KeyboardShiftUppercase => get(0xf4c0);
        public static IconUsage KeyboardTab => get(0xf4c1);
        public static IconUsage Laptop => get(0xf4c5);
        public static IconUsage Lasso => get(0xfb98);
        public static IconUsage LauncherSettings => get(0xf4ca);
        public static IconUsage Layer => get(0xf4cc);
        public static IconUsage LeafTwo => get(0xf4d2);
        public static IconUsage Library => get(0xfe78);
        public static IconUsage Lightbulb => get(0xf4d7);
        public static IconUsage LightbulbCircle => get(0xf4d8);
        public static IconUsage LightbulbFilament => get(0xf4db);
        public static IconUsage Likert => get(0xf4df);
        public static IconUsage LineHorizontal1 => get(0xf4e0);
        public static IconUsage LineHorizontal3 => get(0xf4e1);
        public static IconUsage LineHorizontal5 => get(0xf4e2);
        public static IconUsage Link => get(0xf4e7);
        public static IconUsage LinkEdit => get(0xf4ea);
        public static IconUsage LinkSquare => get(0xfe26);
        public static IconUsage List => get(0xfe79);
        public static IconUsage Live => get(0xf4f1);
        public static IconUsage LocalLanguage => get(0xf4f5);
        public static IconUsage Location => get(0xfa2e);
        public static IconUsage LocationLive => get(0xf4fc);
        public static IconUsage LockShield => get(0xf504);
        public static IconUsage Mail => get(0x10188);
        public static IconUsage MailAdd => get(0xf51f);
        public static IconUsage MailAll => get(0xfee7);
        public static IconUsage MailAllRead => get(0xf50e);
        public static IconUsage MailAllUnread => get(0xf50f);
        public static IconUsage MailClock => get(0xf552);
        public static IconUsage MailCopy => get(0xf512);
        public static IconUsage MailInbox => get(0xf516);
        public static IconUsage MailInboxAdd => get(0xf51a);
        public static IconUsage MailInboxDismiss => get(0xf51e);
        public static IconUsage MailRead => get(0xfa3b);
        public static IconUsage MailUnread => get(0xf529);
        public static IconUsage Map => get(0xfe7e);
        public static IconUsage MapDrive => get(0xf531);
        public static IconUsage MatchAppLayout => get(0xf532);
        public static IconUsage Maximize => get(0xfa42);
        public static IconUsage MeetNow => get(0xf631);
        public static IconUsage Megaphone => get(0xf539);
        public static IconUsage MegaphoneOff => get(0xf53a);
        public static IconUsage Mention => get(0xf53d);
        public static IconUsage Merge => get(0xf53e);
        public static IconUsage MicOff => get(0xfa45);
        public static IconUsage MicOn => get(0xfd4a);
        public static IconUsage MicSettings => get(0xf548);
        public static IconUsage Midi => get(0xf54a);
        public static IconUsage MobileOptimized => get(0xf54d);
        public static IconUsage Money => get(0xf550);
        public static IconUsage MoreVertical => get(0xfa79);
        public static IconUsage MoviesAndTv => get(0xfa4f);
        public static IconUsage Multiselect => get(0xfa8c);
        public static IconUsage MyLocation => get(0xfe2b);
        public static IconUsage Navigation => get(0xffa5);
        public static IconUsage NetworkCheck => get(0xf562);
        public static IconUsage New => get(0xf564);
        public static IconUsage News => get(0xffa6);
        public static IconUsage Next => get(0xf56a);
        public static IconUsage Note => get(0xf663);
        public static IconUsage NoteAdd => get(0xf56f);
        public static IconUsage Notebook => get(0xf570);
        public static IconUsage NotebookError => get(0xf571);
        public static IconUsage NotebookLightning => get(0xf572);
        public static IconUsage NotebookQuestionMark => get(0xf573);
        public static IconUsage NotebookSection => get(0xfb41);
        public static IconUsage NotebookSync => get(0xf575);
        public static IconUsage Notepad => get(0xf665);
        public static IconUsage NumberRow => get(0xf57b);
        public static IconUsage NumberSymbol => get(0x1018a);
        public static IconUsage OfficeApps => get(0xffaa);
        public static IconUsage Open => get(0xf667);
        public static IconUsage OpenFolder => get(0xfa5b);
        public static IconUsage Options => get(0x10160);
        public static IconUsage Organization => get(0xfaa5);
        public static IconUsage Page => get(0xf58d);
        public static IconUsage PageFit => get(0xf590);
        public static IconUsage PaintBrush => get(0xf593);
        public static IconUsage PaintBucket => get(0xf596);
        public static IconUsage Pair => get(0xf597);
        public static IconUsage PaneClose => get(0xf59a);
        public static IconUsage PaneOpen => get(0xf59d);
        public static IconUsage Password => get(0xf59e);
        public static IconUsage Patient => get(0xfddd);
        public static IconUsage Pause => get(0xfa63);
        public static IconUsage Payment => get(0xfa65);
        public static IconUsage People => get(0xfcec);
        public static IconUsage PeopleAdd => get(0xf5ad);
        public static IconUsage PeopleAudience => get(0xfb42);
        public static IconUsage PeopleCommunity => get(0xf5b2);
        public static IconUsage PeopleCommunityAdd => get(0xfe88);
        public static IconUsage PeopleProhibited => get(0xfa66);
        public static IconUsage PeopleSearch => get(0xf5b5);
        public static IconUsage PeopleSettings => get(0xffac);
        public static IconUsage PeopleTeam => get(0xfdde);
        public static IconUsage Person => get(0xfe2e);
        public static IconUsage PersonAccounts => get(0xf5c1);
        public static IconUsage PersonAdd => get(0xfe8b);
        public static IconUsage PersonArrowLeft => get(0xf5c5);
        public static IconUsage PersonArrowRight => get(0xf5c8);
        public static IconUsage PersonAvailable => get(0xfa6e);
        public static IconUsage PersonBoard => get(0xf5ce);
        public static IconUsage PersonCall => get(0xfb46);
        public static IconUsage PersonDelete => get(0xfa72);
        public static IconUsage PersonFeedback => get(0xffaf);
        public static IconUsage PersonProhibited => get(0xfe8d);
        public static IconUsage PersonQuestionMark => get(0xf5d7);
        public static IconUsage PersonSupport => get(0xf5da);
        public static IconUsage PersonSwap => get(0xf5dd);
        public static IconUsage PersonVoice => get(0xf5df);
        public static IconUsage Phone => get(0x100e7);
        public static IconUsage PhoneDesktop => get(0xf5e7);
        public static IconUsage PhoneLaptop => get(0xfcef);
        public static IconUsage PhoneLinkSetup => get(0xf5ec);
        public static IconUsage PhonePageHeader => get(0xf5ef);
        public static IconUsage PhonePagination => get(0xf5f0);
        public static IconUsage PhoneScreenTime => get(0xf5f1);
        public static IconUsage PhoneShake => get(0xf5f2);
        public static IconUsage PhoneStatusBar => get(0xf5f3);
        public static IconUsage PhoneTablet => get(0xf5f5);
        public static IconUsage PhoneUpdate => get(0xf5f8);
        public static IconUsage PhoneVerticalScroll => get(0xf5f9);
        public static IconUsage PhoneVibrate => get(0xf5fa);
        public static IconUsage PhotoFilter => get(0xf5fb);
        public static IconUsage PictureInPicture => get(0xf5fe);
        public static IconUsage Pin => get(0xfe90);
        public static IconUsage PinOff => get(0xfef0);
        public static IconUsage Play => get(0x1002b);
        public static IconUsage PlayCircle => get(0xfd50);
        public static IconUsage PlugDisconnected => get(0xf60b);
        public static IconUsage PointScan => get(0xf60c);
        public static IconUsage Poll => get(0x1018b);
        public static IconUsage Power => get(0xf610);
        public static IconUsage Predictions => get(0xf611);
        public static IconUsage Premium => get(0xfcf2);
        public static IconUsage PresenceBlocked => get(0xf618);
        public static IconUsage PresenceOffline => get(0xf61b);
        public static IconUsage PresenceOof => get(0xf61e);
        public static IconUsage PresenceUnknown => get(0xf621);
        public static IconUsage Presenter => get(0xfb48);
        public static IconUsage PresenterOff => get(0xfb49);
        public static IconUsage PreviewLink => get(0xf626);
        public static IconUsage Previous => get(0xf629);
        public static IconUsage Print => get(0xf6fa);
        public static IconUsage Prohibited => get(0xffb7);
        public static IconUsage ProtocolHandler => get(0xf634);
        public static IconUsage QrCode => get(0xfa82);
        public static IconUsage Question => get(0xf63b);
        public static IconUsage QuestionCircle => get(0xf640);
        public static IconUsage QuizNew => get(0xf643);
        public static IconUsage RadioButton => get(0xf645);
        public static IconUsage RatingMature => get(0xf648);
        public static IconUsage ReOrder => get(0xf64a);
        public static IconUsage ReadAloud => get(0xfe97);
        public static IconUsage ReadingList => get(0xf654);
        public static IconUsage ReadingListAdd => get(0xf658);
        public static IconUsage ReadingModeMobile => get(0xf65c);
        public static IconUsage Record => get(0xf737);
        public static IconUsage Rename => get(0xf66b);
        public static IconUsage Resize => get(0xf66c);
        public static IconUsage ResizeImage => get(0xf66d);
        public static IconUsage ResizeTable => get(0xf66e);
        public static IconUsage ResizeVideo => get(0xf66f);
        public static IconUsage Restore => get(0xf670);
        public static IconUsage Reward => get(0xf673);
        public static IconUsage Rewind => get(0xf675);
        public static IconUsage Rocket => get(0xf678);
        public static IconUsage Router => get(0xf679);
        public static IconUsage RowTriple => get(0xf67a);
        public static IconUsage Ruler => get(0xf67d);
        public static IconUsage Run => get(0xfa88);
        public static IconUsage Save => get(0x1002d);
        public static IconUsage SaveCopy => get(0xf683);
        public static IconUsage Savings => get(0xf686);
        public static IconUsage ScaleFill => get(0xfd57);
        public static IconUsage ScaleFit => get(0xf68a);
        public static IconUsage Scan => get(0xf68b);
        public static IconUsage Scratchpad => get(0xf68c);
        public static IconUsage Screenshot => get(0xf68e);
        public static IconUsage Search => get(0xfb26);
        public static IconUsage SearchInfo => get(0xf693);
        public static IconUsage SearchSquare => get(0xf694);
        public static IconUsage SelectAllOff => get(0xf696);
        public static IconUsage SelectObject => get(0xf698);
        public static IconUsage Send => get(0xfe36);
        public static IconUsage SendClock => get(0x10197);
        public static IconUsage SendCopy => get(0xf69d);
        public static IconUsage SerialPort => get(0xf6a3);
        public static IconUsage ServiceBell => get(0xf6a4);
        public static IconUsage SetTopStack => get(0xf6a7);
        public static IconUsage Settings => get(0xf6ab);
        public static IconUsage Shapes => get(0xf6ae);
        public static IconUsage Share => get(0x10170);
        public static IconUsage ShareAndroid => get(0xf6b2);
        public static IconUsage ShareCloseTray => get(0xfba5);
        public static IconUsage ShareIos => get(0xf6b8);
        public static IconUsage Shield => get(0xfe9a);
        public static IconUsage ShieldDismiss => get(0xfc5f);
        public static IconUsage ShieldError => get(0x1002e);
        public static IconUsage ShieldKeyhole => get(0xf6c6);
        public static IconUsage ShieldProhibited => get(0xf6c8);
        public static IconUsage Shifts => get(0xfde2);
        public static IconUsage Shifts30Minutes => get(0xf6cd);
        public static IconUsage ShiftsActivity => get(0xf6cf);
        public static IconUsage ShiftsAdd => get(0xf6d0);
        public static IconUsage ShiftsAvailability => get(0xf6d2);
        public static IconUsage ShiftsOpen => get(0xf6d5);
        public static IconUsage ShiftsTeam => get(0xf6d7);
        public static IconUsage SignOut => get(0xfa94);
        public static IconUsage Signature => get(0xf6de);
        public static IconUsage Signed => get(0xf6e1);
        public static IconUsage Sim => get(0xf6e4);
        public static IconUsage Sleep => get(0xf6e5);
        public static IconUsage SlideAdd => get(0xf6e6);
        public static IconUsage SlideDesign => get(0xf6e7);
        public static IconUsage SlideHide => get(0xf6e8);
        public static IconUsage SlideLayout => get(0xf6ea);
        public static IconUsage SlideMicrophone => get(0x101a4);
        public static IconUsage SlideText => get(0xfa9c);
        public static IconUsage Snooze => get(0x101a5);
        public static IconUsage SoundSource => get(0xf6f7);
        public static IconUsage Spacebar => get(0xf6f8);
        public static IconUsage Speaker0 => get(0x10174);
        public static IconUsage Speaker1 => get(0x10175);
        public static IconUsage SpeakerBluetooth => get(0xfaa6);
        public static IconUsage SpeakerEdit => get(0xf702);
        public static IconUsage SpeakerOff => get(0xfaab);
        public static IconUsage SpeakerSettings => get(0xf708);
        public static IconUsage SpinnerIos => get(0xf709);
        public static IconUsage Star => get(0xf711);
        public static IconUsage StarAdd => get(0xf714);
        public static IconUsage StarArrowRightStart => get(0xf716);
        public static IconUsage StarEmphasis => get(0xfd07);
        public static IconUsage StarOff => get(0xf71c);
        public static IconUsage StarProhibited => get(0xf71f);
        public static IconUsage StarSettings => get(0xf720);
        public static IconUsage Status => get(0xf723);
        public static IconUsage Stethoscope => get(0xf725);
        public static IconUsage Sticker => get(0x10177);
        public static IconUsage StickerAdd => get(0xf728);
        public static IconUsage Stop => get(0xf72b);
        public static IconUsage Storage => get(0xf72c);
        public static IconUsage StoreMicrosoft => get(0xf732);
        public static IconUsage StyleGuide => get(0xf733);
        public static IconUsage SubGrid => get(0xf734);
        public static IconUsage SurfaceEarbuds => get(0xf739);
        public static IconUsage SurfaceHub => get(0xf73b);
        public static IconUsage SwipeDown => get(0xf73c);
        public static IconUsage SwipeRight => get(0xf73d);
        public static IconUsage SwipeUp => get(0xf73e);
        public static IconUsage Symbols => get(0xfe37);
        public static IconUsage SyncOff => get(0xf741);
        public static IconUsage System => get(0xf742);
        public static IconUsage Tab => get(0xf746);
        public static IconUsage TabDesktop => get(0xf747);
        public static IconUsage TabDesktopArrowClockwise => get(0xf74a);
        public static IconUsage TabDesktopClock => get(0xf74b);
        public static IconUsage TabDesktopCopy => get(0xf74c);
        public static IconUsage TabDesktopImage => get(0xf74f);
        public static IconUsage TabDesktopMultiple => get(0xf750);
        public static IconUsage TabDesktopNewPage => get(0xf751);
        public static IconUsage TabInPrivate => get(0xf755);
        public static IconUsage TabInprivateAccount => get(0xf757);
        public static IconUsage Table => get(0xfd08);
        public static IconUsage TableAdd => get(0xfb53);
        public static IconUsage TableCellsMerge => get(0xf761);
        public static IconUsage TableCellsSplit => get(0xf763);
        public static IconUsage TableEdit => get(0xf768);
        public static IconUsage TableFreezeColumn => get(0xf76a);
        public static IconUsage TableFreezeRow => get(0xf76b);
        public static IconUsage TableMoveLeft => get(0xf771);
        public static IconUsage TableMoveRight => get(0xf772);
        public static IconUsage TableSettings => get(0xf777);
        public static IconUsage TableSwitch => get(0xf778);
        public static IconUsage Tablet => get(0xf77a);
        public static IconUsage Tabs => get(0xf77b);
        public static IconUsage Tag => get(0x101a6);
        public static IconUsage TapDouble => get(0xfb56);
        public static IconUsage TapSingle => get(0xfb57);
        public static IconUsage Target => get(0xfd0b);
        public static IconUsage TargetEdit => get(0xf785);
        public static IconUsage TaskListAdd => get(0xf789);
        public static IconUsage TasksApp => get(0xfac1);
        public static IconUsage Teddy => get(0xfe38);
        public static IconUsage Temperature => get(0xffc6);
        public static IconUsage Tent => get(0xfac6);
        public static IconUsage Text => get(0xfdf0);
        public static IconUsage TextAdd => get(0xf794);
        public static IconUsage TextAddSpaceAfter => get(0xf796);
        public static IconUsage TextAddSpaceBefore => get(0xf798);
        public static IconUsage TextAlignCenter => get(0x101ac);
        public static IconUsage TextAlignDistributed => get(0xf79c);
        public static IconUsage TextAlignJustify => get(0xf79e);
        public static IconUsage TextAlignLeft => get(0x101ad);
        public static IconUsage TextAlignRight => get(0x101ae);
        public static IconUsage TextAsterisk => get(0xf7a3);
        public static IconUsage TextBold => get(0xfac7);
        public static IconUsage TextBulletListAdd => get(0xfb58);
        public static IconUsage TextBulletListSquare => get(0xfb59);
        public static IconUsage TextBulletListSquareWarning => get(0xf7ac);
        public static IconUsage TextBulletListTree => get(0xf7af);
        public static IconUsage TextChangeCase => get(0x101af);
        public static IconUsage TextClearFormatting => get(0x101b0);
        public static IconUsage TextCollapse => get(0xf7be);
        public static IconUsage TextColor => get(0xfac8);
        public static IconUsage TextColumnOne => get(0xf7c2);
        public static IconUsage TextColumnThree => get(0xf7c4);
        public static IconUsage TextColumnTwo => get(0xf7c6);
        public static IconUsage TextColumnTwoLeft => get(0xf7c8);
        public static IconUsage TextColumnTwoRight => get(0xf7ca);
        public static IconUsage TextDescription => get(0xf7cc);
        public static IconUsage TextDirectionHorizontalLtr => get(0xf7d0);
        public static IconUsage TextDirectionRotate270 => get(0xf7d2);
        public static IconUsage TextDirectionRotate270Ac => get(0xf7d4);
        public static IconUsage TextDirectionRotate90 => get(0xf7d6);
        public static IconUsage TextDirectionVertical => get(0xf7d8);
        public static IconUsage TextEditStyle => get(0xf7da);
        public static IconUsage TextEffects => get(0xf7dc);
        public static IconUsage TextExpand => get(0xf7dd);
        public static IconUsage TextField => get(0xf7e0);
        public static IconUsage TextFirstLine => get(0xf7e2);
        public static IconUsage TextFont => get(0xf7e5);
        public static IconUsage TextFontSize => get(0x101b1);
        public static IconUsage TextFootnote => get(0xf7e9);
        public static IconUsage TextHanging => get(0xf7ee);
        public static IconUsage TextHeader1 => get(0x100f0);
        public static IconUsage TextHeader2 => get(0x100f1);
        public static IconUsage TextHeader3 => get(0x100f2);
        public static IconUsage TextIndentDecrease => get(0x101b2);
        public static IconUsage TextIndentIncrease => get(0x101b9);
        public static IconUsage TextItalic => get(0xfad3);
        public static IconUsage TextLineSpacing => get(0xf7f7);
        public static IconUsage TextNumberFormat => get(0xfc97);
        public static IconUsage TextNumberListLtr => get(0x101c0);
        public static IconUsage TextNumberListRtl => get(0x101c1);
        public static IconUsage TextProofingTools => get(0xf7ff);
        public static IconUsage TextQuote => get(0x10035);
        public static IconUsage TextSortAscending => get(0xfdf2);
        public static IconUsage TextSortDescending => get(0xfdf4);
        public static IconUsage TextSubscript => get(0x101c6);
        public static IconUsage TextSuperscript => get(0x101c7);
        public static IconUsage TextUnderline => get(0xfad5);
        public static IconUsage TextWordCount => get(0xf80d);
        public static IconUsage TextWrap => get(0xf80e);
        public static IconUsage Textbox => get(0xf810);
        public static IconUsage TextboxAlignBottom => get(0xf814);
        public static IconUsage TextboxAlignMiddle => get(0xf816);
        public static IconUsage TextboxAlignTop => get(0xf818);
        public static IconUsage TextboxVertical => get(0xf81a);
        public static IconUsage Thinking => get(0xf81c);
        public static IconUsage ThumbDislike => get(0xffc7);
        public static IconUsage ThumbLike => get(0xfcac);
        public static IconUsage TimeAndWeather => get(0xf823);
        public static IconUsage TimePicker => get(0xf824);
        public static IconUsage Timeline => get(0x100f4);
        public static IconUsage Timer10 => get(0xf826);
        public static IconUsage Timer => get(0xfae9);
        public static IconUsage Timer2 => get(0xf828);
        public static IconUsage TimerOff => get(0xf829);
        public static IconUsage ToggleRight => get(0xfaf0);
        public static IconUsage Toolbox => get(0x10178);
        public static IconUsage TopSpeed => get(0xfea0);
        public static IconUsage Translate => get(0xf834);
        public static IconUsage Trophy => get(0xf837);
        public static IconUsage UninstallApp => get(0xf838);
        public static IconUsage UsbPort => get(0xf83e);
        public static IconUsage UsbStick => get(0xf840);
        public static IconUsage Vault => get(0xf843);
        public static IconUsage VehicleBicycle => get(0xfaf7);
        public static IconUsage VehicleBus => get(0xfaf9);
        public static IconUsage VehicleCab => get(0xfd89);
        public static IconUsage VehicleCar => get(0xfafb);
        public static IconUsage VehicleTruck => get(0xfb03);
        public static IconUsage Video => get(0xff19);
        public static IconUsage VideoBackgroundEffect => get(0xfb20);
        public static IconUsage VideoClip => get(0xff1a);
        public static IconUsage VideoOff => get(0xf853);
        public static IconUsage VideoPerson => get(0xfb62);
        public static IconUsage VideoPersonOff => get(0xf855);
        public static IconUsage VideoPersonStar => get(0xfb66);
        public static IconUsage VideoPlayPause => get(0xf857);
        public static IconUsage VideoSecurity => get(0xf859);
        public static IconUsage VideoSwitch => get(0xfb68);
        public static IconUsage ViewDesktop => get(0xf85c);
        public static IconUsage ViewDesktopMobile => get(0xf85e);
        public static IconUsage Voicemail => get(0xfd0d);
        public static IconUsage WalkieTalkie => get(0xfd0e);
        public static IconUsage Wallpaper => get(0xf867);
        public static IconUsage Warning => get(0xffce);
        public static IconUsage WeatherBlowingSnow => get(0xf86d);
        public static IconUsage WeatherCloudy => get(0xf870);
        public static IconUsage WeatherDuststorm => get(0xf873);
        public static IconUsage WeatherFog => get(0xf876);
        public static IconUsage WeatherHailDay => get(0xf879);
        public static IconUsage WeatherHailNight => get(0xf87c);
        public static IconUsage WeatherMoon => get(0xfb0e);
        public static IconUsage WeatherPartlyCloudyDay => get(0x10038);
        public static IconUsage WeatherPartlyCloudyNight => get(0xf885);
        public static IconUsage WeatherRain => get(0xf888);
        public static IconUsage WeatherRainShowersDay => get(0xf88b);
        public static IconUsage WeatherRainShowersNight => get(0xf88e);
        public static IconUsage WeatherRainSnow => get(0xf891);
        public static IconUsage WeatherSnow => get(0xf894);
        public static IconUsage WeatherSnowShowerDay => get(0xf897);
        public static IconUsage WeatherSnowShowerNight => get(0xf89a);
        public static IconUsage WeatherSnowflake => get(0xf89d);
        public static IconUsage WeatherSqualls => get(0xf8a0);
        public static IconUsage WeatherSunny => get(0x10039);
        public static IconUsage WeatherThunderstorm => get(0xf8a6);
        public static IconUsage WebAsset => get(0xf8a7);
        public static IconUsage Whiteboard => get(0x1017f);
        public static IconUsage Wifi1 => get(0xf8ad);
        public static IconUsage Wifi2 => get(0xf8af);
        public static IconUsage Wifi3 => get(0xf8b1);
        public static IconUsage Wifi4 => get(0xf8b3);
        public static IconUsage WifiProtected => get(0xf8b4);
        public static IconUsage Window => get(0x100f8);
        public static IconUsage WindowAd => get(0xf8b6);
        public static IconUsage WindowDevTools => get(0xf8b9);
        public static IconUsage WindowInprivate => get(0xf8ba);
        public static IconUsage WindowInprivateAccount => get(0xf8bb);
        public static IconUsage WindowMultiple => get(0x100fe);
        public static IconUsage WindowNew => get(0xfb1c);
        public static IconUsage WindowShield => get(0xf8c0);
        public static IconUsage Wrench => get(0xfb1f);
        public static IconUsage XboxConsole => get(0xf8c3);
        public static IconUsage ZoomIn => get(0x100ff);
        public static IconUsage ZoomOut => get(0x10100);
        public static IconUsage AddSquare => get(0xf8ca);
        public static IconUsage ArrowAutofitHeight => get(0xf8cd);
        public static IconUsage ArrowAutofitWidth => get(0xf8ce);
        public static IconUsage ArrowExportRtl => get(0x100a0);
        public static IconUsage ArrowHookDownLeft => get(0xf8d8);
        public static IconUsage ArrowHookDownRight => get(0xf8dc);
        public static IconUsage ArrowHookUpLeft => get(0xf8e0);
        public static IconUsage ArrowHookUpRight => get(0xf8e4);
        public static IconUsage AttachArrowRight => get(0xf8ed);
        public static IconUsage AttachText => get(0xf8ee);
        public static IconUsage AutofitContent => get(0xf8ef);
        public static IconUsage Backpack => get(0xfda5);
        public static IconUsage Blur => get(0xf8fc);
        public static IconUsage Book => get(0xf8fe);
        public static IconUsage BookAdd => get(0xf900);
        public static IconUsage BookClock => get(0xf901);
        public static IconUsage BookCoins => get(0xf902);
        public static IconUsage BookCompass => get(0xf903);
        public static IconUsage BookDatabase => get(0xf904);
        public static IconUsage BookExclamationMark => get(0xf905);
        public static IconUsage BookInformation => get(0xf906);
        public static IconUsage BookLetter => get(0xf907);
        public static IconUsage BookOpen => get(0xfff2);
        public static IconUsage BookOpenGlobe => get(0xfcc6);
        public static IconUsage BookPulse => get(0xf90b);
        public static IconUsage BookQuestionMark => get(0xf90c);
        public static IconUsage BookSearch => get(0xf90d);
        public static IconUsage BookStar => get(0xf90e);
        public static IconUsage BookTheta => get(0xf90f);
        public static IconUsage BorderAll => get(0x100b0);
        public static IconUsage BorderBottom => get(0xf911);
        public static IconUsage BorderBottomDouble => get(0xf912);
        public static IconUsage BorderBottomThick => get(0xf913);
        public static IconUsage BorderLeft => get(0xf914);
        public static IconUsage BorderOutside => get(0xf916);
        public static IconUsage BorderOutsideThick => get(0xf917);
        public static IconUsage BorderRight => get(0xf918);
        public static IconUsage BorderTop => get(0xf919);
        public static IconUsage BorderTopBottom => get(0xf91a);
        public static IconUsage BorderTopBottomDouble => get(0xf91b);
        public static IconUsage BorderTopBottomThick => get(0xf91c);
        public static IconUsage Bug => get(0xf923);
        public static IconUsage BuildingBank => get(0xfeb5);
        public static IconUsage BuildingGovernment => get(0xf928);
        public static IconUsage BuildingMultiple => get(0xf929);
        public static IconUsage BuildingShop => get(0xf92c);
        public static IconUsage BuildingSkyscraper => get(0xf92f);
        public static IconUsage CalendarMention => get(0xf932);
        public static IconUsage CalendarQuestionMark => get(0xf936);
        public static IconUsage CameraEdit => get(0xf94c);
        public static IconUsage CaretUp => get(0xf950);
        public static IconUsage ChannelAdd => get(0xf95b);
        public static IconUsage ChannelAlert => get(0xf960);
        public static IconUsage ChannelArrowLeft => get(0xf965);
        public static IconUsage ChannelDismiss => get(0xf96a);
        public static IconUsage ClockDismiss => get(0xf96f);
        public static IconUsage ColorBackgroundAccent => get(0xf977);
        public static IconUsage ColorFillAccent => get(0xf979);
        public static IconUsage ColorLineAccent => get(0xf97d);
        public static IconUsage CommentArrowLeft => get(0xfbeb);
        public static IconUsage CommentArrowRight => get(0xfbec);
        public static IconUsage CommentCheckmark => get(0xf995);
        public static IconUsage CommentEdit => get(0xf997);
        public static IconUsage CommentOff => get(0xf99c);
        public static IconUsage ConvertRange => get(0xf9a1);
        public static IconUsage CopyAdd => get(0xf9a2);
        public static IconUsage CopySelect => get(0xf9a3);
        public static IconUsage Couch => get(0xf9a5);
        public static IconUsage CurrencyDollarRupee => get(0xf9a9);
        public static IconUsage Cursor => get(0xf9ab);
        public static IconUsage CursorHover => get(0xf9b1);
        public static IconUsage CursorHoverOff => get(0xf9b6);
        public static IconUsage DataBarVerticalAdd => get(0xf9b7);
        public static IconUsage DecimalArrowLeft => get(0xf9b9);
        public static IconUsage DecimalArrowRight => get(0xf9ba);
        public static IconUsage DocumentAdd => get(0xf9d4);
        public static IconUsage DocumentArrowLeft => get(0xf9d9);
        public static IconUsage DocumentLandscapeData => get(0xf9dc);
        public static IconUsage DocumentLandscapeSplit => get(0xf9dd);
        public static IconUsage DocumentLandscapeSplitHint => get(0xf9de);
        public static IconUsage DualScreenSpan => get(0xf9e7);
        public static IconUsage EditOff => get(0xfd3d);
        public static IconUsage EditSettings => get(0xf9eb);
        public static IconUsage EmojiHand => get(0xfe61);
        public static IconUsage Eraser => get(0xf9f0);
        public static IconUsage EraserMedium => get(0xf9f1);
        public static IconUsage EraserSegment => get(0xf9f2);
        public static IconUsage EraserSmall => get(0xf9f3);
        public static IconUsage EyeTrackingOff => get(0xf9fa);
        public static IconUsage FStop => get(0xf9fe);
        public static IconUsage FixedWidth => get(0xfa00);
        public static IconUsage FlipHorizontal => get(0xfa01);
        public static IconUsage FlipVertical => get(0xfa02);
        public static IconUsage Fluent => get(0xfc08);
        public static IconUsage Fluid => get(0xff8d);
        public static IconUsage Gavel => get(0xfa0d);
        public static IconUsage HandLeft => get(0xfe21);
        public static IconUsage HandRight => get(0xfe22);
        public static IconUsage HatGraduation => get(0x1015b);
        public static IconUsage Hd => get(0xfa1f);
        public static IconUsage HeartPulse => get(0xfdc0);
        public static IconUsage ImageArrowCounterclockwise => get(0xfa28);
        public static IconUsage InfoShield => get(0xfa29);
        public static IconUsage KeyMultiple => get(0xfa2a);
        public static IconUsage LineHorizontal5Error => get(0xfa2b);
        public static IconUsage LocationOff => get(0xfa33);
        public static IconUsage LockMultiple => get(0xfa34);
        public static IconUsage Lottery => get(0xfa35);
        public static IconUsage MathFormatLinear => get(0xfa3c);
        public static IconUsage MathFormatProfessional => get(0xfa3d);
        public static IconUsage MathFormula => get(0xfce7);
        public static IconUsage MicProhibited => get(0xfd93);
        public static IconUsage MoreCircle => get(0x10189);
        public static IconUsage NavigationUnread => get(0xfa54);
        public static IconUsage NumberSymbolDismiss => get(0xfa55);
        public static IconUsage OpenOff => get(0xfa60);
        public static IconUsage PaintBrushArrowDown => get(0xfa61);
        public static IconUsage PaintBrushArrowUp => get(0xfa62);
        public static IconUsage PeopleSwap => get(0xfa6a);
        public static IconUsage PeopleTeamAdd => get(0xfa6c);
        public static IconUsage PersonClock => get(0xfa71);
        public static IconUsage PersonMail => get(0xfa77);
        public static IconUsage PresenceAvailable => get(0xfa7d);
        public static IconUsage PresenceDnd => get(0xfa80);
        public static IconUsage Pulse => get(0xfade);
        public static IconUsage RealEstate => get(0xfa83);
        public static IconUsage Ribbon => get(0xfde1);
        public static IconUsage RibbonStar => get(0xfa86);
        public static IconUsage Scales => get(0xfa8a);
        public static IconUsage SearchShield => get(0xfa8b);
        public static IconUsage ShieldDismissShield => get(0xfa8f);
        public static IconUsage ShiftsDay => get(0xfa91);
        public static IconUsage SidebarSearchLtr => get(0xfa92);
        public static IconUsage SidebarSearchRtl => get(0xfa93);
        public static IconUsage SlideMultipleArrowRight => get(0xfa95);
        public static IconUsage SlideSearch => get(0xfa97);
        public static IconUsage SlideSize => get(0xfa98);
        public static IconUsage SpeakerUsb => get(0xfaad);
        public static IconUsage Sport => get(0xfab0);
        public static IconUsage SportAmericanFootball => get(0xfab1);
        public static IconUsage SportBaseball => get(0xfab2);
        public static IconUsage SportBasketball => get(0xfab3);
        public static IconUsage SportHockey => get(0xfab4);
        public static IconUsage StarEdit => get(0xfab5);
        public static IconUsage TabDesktopArrowLeft => get(0xfab6);
        public static IconUsage TabProhibited => get(0xfab7);
        public static IconUsage TableSimple => get(0xfabf);
        public static IconUsage TextColorAccent => get(0xfacb);
        public static IconUsage TextColumnOneNarrow => get(0xfacd);
        public static IconUsage TextColumnOneWide => get(0xfacf);
        public static IconUsage TextContinuous => get(0xfad0);
        public static IconUsage TicketDiagonal => get(0xfae7);
        public static IconUsage ToggleLeft => get(0xfaee);
        public static IconUsage Tv => get(0xfaf5);
        public static IconUsage VehicleShip => get(0xfafe);
        public static IconUsage VehicleSubway => get(0xfb01);
        public static IconUsage Vote => get(0xfb06);
        public static IconUsage WeatherDrizzle => get(0xfb09);
        public static IconUsage WeatherHaze => get(0xfb0c);
        public static IconUsage WeatherMoonOff => get(0xfb13);
        public static IconUsage WeatherSunnyHigh => get(0xfb16);
        public static IconUsage WeatherSunnyLow => get(0xfb19);
        public static IconUsage ArrowBounce => get(0xfb25);
        public static IconUsage ArrowEnterUp => get(0xfb28);
        public static IconUsage BookmarkMultiple => get(0xfda8);
        public static IconUsage DesktopArrowRight => get(0xfb32);
        public static IconUsage DesktopSpeaker => get(0xfb34);
        public static IconUsage DesktopSpeakerOff => get(0xfb36);
        public static IconUsage GridKanban => get(0xfb39);
        public static IconUsage HandRightOff => get(0xfb3b);
        public static IconUsage LearningApp => get(0xfb3d);
        public static IconUsage LiveOff => get(0xfb3f);
        public static IconUsage PeopleCall => get(0xfb44);
        public static IconUsage PhoneDesktopAdd => get(0xfb47);
        public static IconUsage RectangleLandscape => get(0x10191);
        public static IconUsage SaveSync => get(0xfb4c);
        public static IconUsage ShiftsCheckmark => get(0xfb4f);
        public static IconUsage SlideMultiple => get(0xfb50);
        public static IconUsage StarLineHorizontal3 => get(0xffbe);
        public static IconUsage TableDismiss => get(0xfb55);
        public static IconUsage TextGrammarError => get(0xfb5a);
        public static IconUsage Video360 => get(0xfb5d);
        public static IconUsage VideoPersonCall => get(0xfdf5);
        public static IconUsage VideoProhibited => get(0xfd9c);
        public static IconUsage WifiWarning => get(0xf7fd);
        public static IconUsage Album => get(0xfb6a);
        public static IconUsage AlbumAdd => get(0xfb6b);
        public static IconUsage BackpackAdd => get(0xfb74);
        public static IconUsage CallConnecting => get(0xfb76);
        public static IconUsage CallExclamation => get(0xfb77);
        public static IconUsage CallTransfer => get(0xfb78);
        public static IconUsage CameraOff => get(0xfb79);
        public static IconUsage ChatMail => get(0xfb7b);
        public static IconUsage CloudSync => get(0xfece);
        public static IconUsage ContentView => get(0xfdb7);
        public static IconUsage CubeRotate => get(0xfb80);
        public static IconUsage DeviceMeetingRoom => get(0xf3bc);
        public static IconUsage DeviceMeetingRoomRemote => get(0xf3ee);
        public static IconUsage DrawShape => get(0xfb84);
        public static IconUsage DrawText => get(0xfb85);
        public static IconUsage FolderArrowUp => get(0xfc0e);
        public static IconUsage Fps30 => get(0xfb8f);
        public static IconUsage Fps60 => get(0xfb94);
        public static IconUsage HomePerson => get(0xfce0);
        public static IconUsage LeafThree => get(0xfb9b);
        public static IconUsage MicSync => get(0xfb9c);
        public static IconUsage NotebookSubsection => get(0xfcea);
        public static IconUsage PersonCircle => get(0x100e5);
        public static IconUsage PulseSquare => get(0xfba0);
        public static IconUsage RotateLeft => get(0xfba2);
        public static IconUsage RotateRight => get(0xfba4);
        public static IconUsage SquareMultiple => get(0x10087);
        public static IconUsage TvArrowRight => get(0xfba8);
        public static IconUsage VideoPersonStarOff => get(0xfe39);
        public static IconUsage VideoRecording => get(0xfbaa);
        public static IconUsage VideoSync => get(0xfbab);
        public static IconUsage BreakoutRoom => get(0xfbac);
        public static IconUsage ContentViewGallery => get(0xfbad);
        public static IconUsage DoorTag => get(0xfbae);
        public static IconUsage Luggage => get(0x10016);
        public static IconUsage PeopleEdit => get(0xfbb0);
        public static IconUsage ChannelShare => get(0xfbb6);
        public static IconUsage PeopleError => get(0xfbb9);
        public static IconUsage PuzzleCube => get(0xfbbe);
        public static IconUsage ArrowCircleDownRight => get(0xfbc0);
        public static IconUsage ArrowCircleRight => get(0x10129);
        public static IconUsage ArrowCircleUp => get(0x1012d);
        public static IconUsage ArrowCircleUpLeft => get(0xfbc5);
        public static IconUsage ArrowEnterLeft => get(0xfbc7);
        public static IconUsage ArrowExportLtr => get(0xff2b);
        public static IconUsage ArrowSquareDown => get(0xfbca);
        public static IconUsage AutoFitHeight => get(0xfbcf);
        public static IconUsage AutoFitWidth => get(0xfbd0);
        public static IconUsage Border => get(0xfbd1);
        public static IconUsage BriefcaseMedical => get(0xff39);
        public static IconUsage BuildingFactory => get(0xfbd4);
        public static IconUsage CalendarArrowDown => get(0xfbd5);
        public static IconUsage Call => get(0x10180);
        public static IconUsage CallProhibited => get(0xfbdf);
        public static IconUsage CaretDownLeft => get(0xfbe3);
        public static IconUsage CellularDataCellularOff => get(0xfbe4);
        public static IconUsage CellularDataCellularUnavailable => get(0xfbe5);
        public static IconUsage CenterHorizontal => get(0x10112);
        public static IconUsage CenterVertical => get(0x100b4);
        public static IconUsage ChevronCircleDown => get(0xfbe8);
        public static IconUsage ChevronCircleRight => get(0x100ba);
        public static IconUsage ClipboardImage => get(0xfbea);
        public static IconUsage CommentDismiss => get(0xfbed);
        public static IconUsage Component2DoubleTapSwipeDown => get(0xfbee);
        public static IconUsage Component2DoubleTapSwipeUp => get(0xfbef);
        public static IconUsage CopyArrowRight => get(0xfbf1);
        public static IconUsage CurrencyDollarEuro => get(0xfbf4);
        public static IconUsage DeleteDismiss => get(0xfbf6);
        public static IconUsage DockPanelLeft => get(0xfbfb);
        public static IconUsage DockPanelRight => get(0xfc00);
        public static IconUsage DocumentProhibited => get(0xfc02);
        public static IconUsage DocumentSync => get(0x100d4);
        public static IconUsage DrinkToGo => get(0xfc04);
        public static IconUsage EyeTrackingOn => get(0xfc07);
        public static IconUsage FolderArrowRight => get(0xfc0d);
        public static IconUsage FolderProhibited => get(0xfe69);
        public static IconUsage FolderSwap => get(0xfc15);
        public static IconUsage FullScreenMaximize => get(0xff96);
        public static IconUsage FullScreenMinimize => get(0xfc17);
        public static IconUsage ImageMultiple => get(0xfa4a);
        public static IconUsage LeafOne => get(0xfc1d);
        public static IconUsage LinkDismiss => get(0x100dd);
        public static IconUsage LocationDismiss => get(0xfc1f);
        public static IconUsage LockClosed => get(0x1015c);
        public static IconUsage LockOpen => get(0x10014);
        public static IconUsage MailInboxAll => get(0xfc27);
        public static IconUsage MailInboxArrowRight => get(0xfc28);
        public static IconUsage MailInboxArrowUp => get(0xfc2a);
        public static IconUsage MailOff => get(0xfc2b);
        public static IconUsage MoreHorizontal => get(0xfa6d);
        public static IconUsage MusicNote1 => get(0xfc32);
        public static IconUsage MusicNote2 => get(0xfe2a);
        public static IconUsage PeopleTeamDelete => get(0xfc35);
        public static IconUsage PhoneAdd => get(0xfc36);
        public static IconUsage PhoneArrowRight => get(0xfc38);
        public static IconUsage PhoneDismiss => get(0xfc39);
        public static IconUsage PhoneLock => get(0xfc3a);
        public static IconUsage PhoneSpanIn => get(0xfc3e);
        public static IconUsage PhoneSpanOut => get(0xfc42);
        public static IconUsage PositionBackward => get(0xfc44);
        public static IconUsage PositionForward => get(0xfc46);
        public static IconUsage PositionToBack => get(0xfc48);
        public static IconUsage PositionToFront => get(0xfc4a);
        public static IconUsage ResizeLarge => get(0xfc4d);
        public static IconUsage ResizeSmall => get(0xfc50);
        public static IconUsage SaveEdit => get(0xfc52);
        public static IconUsage SearchVisual => get(0xfc55);
        public static IconUsage SelectAllOn => get(0xfc56);
        public static IconUsage ShareScreenStart => get(0xfc59);
        public static IconUsage ShareScreenStop => get(0xfc5e);
        public static IconUsage ShiftsProhibited => get(0xfc60);
        public static IconUsage ShiftsQuestionMark => get(0xfc61);
        public static IconUsage Speaker2 => get(0x10176);
        public static IconUsage SpeakerMute => get(0xfc6b);
        public static IconUsage StarArrowRightEnd => get(0xfc6f);
        public static IconUsage Subtract => get(0xfc75);
        public static IconUsage TabAdd => get(0xfc77);
        public static IconUsage TabArrowLeft => get(0xfc78);
        public static IconUsage TabShieldDismiss => get(0xfc7a);
        public static IconUsage TableDeleteColumn => get(0xfd70);
        public static IconUsage TableDeleteRow => get(0xfd71);
        public static IconUsage TableFreezeColumnAndRow => get(0xfc7d);
        public static IconUsage TableInsertColumn => get(0xfc7e);
        public static IconUsage TableInsertRow => get(0xfc7f);
        public static IconUsage TableMoveAbove => get(0xfc80);
        public static IconUsage TableMoveBelow => get(0xfc81);
        public static IconUsage TableResizeColumn => get(0xfc82);
        public static IconUsage TableResizeRow => get(0xfc83);
        public static IconUsage TableStackAbove => get(0xfd72);
        public static IconUsage TableStackBelow => get(0xfc85);
        public static IconUsage TableStackLeft => get(0xfd74);
        public static IconUsage TableStackRight => get(0xfd75);
        public static IconUsage TagQuestionMark => get(0xfc89);
        public static IconUsage TextGrammarArrowLeft => get(0xfc8b);
        public static IconUsage TextGrammarArrowRight => get(0xfc8d);
        public static IconUsage TextGrammarCheckmark => get(0xfc8f);
        public static IconUsage TextGrammarDismiss => get(0xfc91);
        public static IconUsage TextGrammarSettings => get(0xfc93);
        public static IconUsage TextGrammarWand => get(0xfc96);
        public static IconUsage TextParagraph => get(0xfc99);
        public static IconUsage TextParagraphDirection => get(0xfc9b);
        public static IconUsage TextPositionBehind => get(0xfc9d);
        public static IconUsage TextPositionFront => get(0xfc9f);
        public static IconUsage TextPositionLine => get(0xfca1);
        public static IconUsage TextPositionSquare => get(0xfca3);
        public static IconUsage TextPositionThrough => get(0xfca5);
        public static IconUsage TextPositionTight => get(0xfca7);
        public static IconUsage TextPositionTopBottom => get(0xfca9);
        public static IconUsage TextboxAlignCenter => get(0xfcab);
        public static IconUsage TicketHorizontal => get(0xfcae);
        public static IconUsage Wand => get(0xfcb3);
        public static IconUsage WindowArrowUp => get(0x100fb);
        public static IconUsage WindowHeaderHorizontal => get(0xfcb5);
        public static IconUsage WindowHeaderVertical => get(0xfcb6);
        public static IconUsage AccessibilityCheckmark => get(0xfcb8);
        public static IconUsage AnimalRabbit => get(0xfcbe);
        public static IconUsage AnimalTurtle => get(0xfcc2);
        public static IconUsage BookContacts => get(0xfda6);
        public static IconUsage CalligraphyPenCheckmark => get(0xfcc7);
        public static IconUsage CalligraphyPenQuestionMark => get(0xfcc8);
        public static IconUsage Cellular5g => get(0xfcc9);
        public static IconUsage Checkbox1 => get(0xfcca);
        public static IconUsage Checkbox2 => get(0xfccb);
        public static IconUsage CheckboxArrowRight => get(0xfccc);
        public static IconUsage CheckboxPerson => get(0xfccd);
        public static IconUsage CheckboxWarning => get(0xfcce);
        public static IconUsage CircleEdit => get(0xfccf);
        public static IconUsage CommentNote => get(0xfcd3);
        public static IconUsage DesktopMac => get(0xfcd6);
        public static IconUsage DocumentArrowRight => get(0x100c9);
        public static IconUsage DocumentCheckmark => get(0xfcd8);
        public static IconUsage DualScreenDismiss => get(0xfcd9);
        public static IconUsage DualScreenSpeaker => get(0xfcda);
        public static IconUsage FilterDismiss => get(0xff89);
        public static IconUsage FilterSync => get(0xfcdc);
        public static IconUsage GlobePerson => get(0xfcdf);
        public static IconUsage ImageGlobe => get(0xfce1);
        public static IconUsage LineStyle => get(0xfce5);
        public static IconUsage NotebookAdd => get(0xfce8);
        public static IconUsage NotebookSectionArrowRight => get(0xfce9);
        public static IconUsage Orientation => get(0xfaa7);
        public static IconUsage PersonNote => get(0x10163);
        public static IconUsage PhoneSpeaker => get(0xfcf0);
        public static IconUsage Pi => get(0xfcf1);
        public static IconUsage Receipt => get(0xfcf4);
        public static IconUsage Rss => get(0xfcf5);
        public static IconUsage ScreenCut => get(0xfcf6);
        public static IconUsage ScreenPerson => get(0xfcf7);
        public static IconUsage ShapeExclude => get(0xfcfa);
        public static IconUsage ShapeIntersect => get(0xfcfd);
        public static IconUsage ShapeSubtract => get(0xfd00);
        public static IconUsage ShapeUnion => get(0xfd03);
        public static IconUsage SlideSettings => get(0xfd05);
        public static IconUsage SlideTransition => get(0xfd06);
        public static IconUsage TableCellEdit => get(0xfd09);
        public static IconUsage TabletSpeaker => get(0xfd0a);
        public static IconUsage Timer3 => get(0xfd0c);
        public static IconUsage WarningShield => get(0xfd0f);
        public static IconUsage AddSubtractCircle => get(0xfd14);
        public static IconUsage Beach => get(0xfd18);
        public static IconUsage CalendarEdit => get(0xfd1c);
        public static IconUsage CalendarLtr => get(0xfe4a);
        public static IconUsage CalendarRtl => get(0xfebd);
        public static IconUsage ClipboardArrowRight => get(0xfd27);
        public static IconUsage ClipboardTextLtr => get(0xfd29);
        public static IconUsage ClipboardTextRtl => get(0xfd2b);
        public static IconUsage ConvertToType => get(0xfd2d);
        public static IconUsage CubeSync => get(0xfd2e);
        public static IconUsage DocumentQuestionMark => get(0xfd31);
        public static IconUsage DoorArrowLeft => get(0xfee0);
        public static IconUsage Drop => get(0xfd38);
        public static IconUsage Dumbbell => get(0xfd3c);
        public static IconUsage Eyedropper => get(0xfd3f);
        public static IconUsage Fps120 => get(0xfd43);
        public static IconUsage Guitar => get(0xfd48);
        public static IconUsage KeyCommand => get(0xfd49);
        public static IconUsage PeopleCheckmark => get(0x10024);
        public static IconUsage ReOrderDotsHorizontal => get(0xfd53);
        public static IconUsage ReOrderDotsVertical => get(0xfd56);
        public static IconUsage SkipBack10 => get(0xfd58);
        public static IconUsage SkipForward10 => get(0xfdea);
        public static IconUsage SkipForward30 => get(0xfdee);
        public static IconUsage SlideEraser => get(0xfbcd);
        public static IconUsage SplitHorizontal => get(0xfd62);
        public static IconUsage SplitVertical => get(0xfd69);
        public static IconUsage SportSoccer => get(0x1002f);
        public static IconUsage StrikethroughGaNa => get(0xfd6e);
        public static IconUsage TableStackDown => get(0xfd73);
        public static IconUsage TaskListLtr => get(0xfd77);
        public static IconUsage TaskListRtl => get(0xfd79);
        public static IconUsage TetrisApp => get(0xfd7f);
        public static IconUsage TextBulletListLtr => get(0x100ee);
        public static IconUsage TextBulletListRtl => get(0x100ef);
        public static IconUsage TextStrikethroughS => get(0xfd86);
        public static IconUsage VehicleTruckProfile => get(0xffcb);
        public static IconUsage ChartPerson => get(0xfd8f);
        public static IconUsage ConvertToTypeOff => get(0xfd90);
        public static IconUsage TvUsb => get(0xfd98);
        public static IconUsage Video360Off => get(0xfd99);
        public static IconUsage ApprovalApp => get(0xfd9e);
        public static IconUsage ArrowStepBack => get(0xfda0);
        public static IconUsage ArrowStepIn => get(0x100a5);
        public static IconUsage ArrowStepOut => get(0x100aa);
        public static IconUsage ArrowStepOver => get(0xfda3);
        public static IconUsage BranchCompare => get(0xfdab);
        public static IconUsage BranchFork => get(0xfdae);
        public static IconUsage CalligraphyPenError => get(0xfdb3);
        public static IconUsage ClipboardDataBar => get(0xfdb5);
        public static IconUsage DismissSquareMultiple => get(0xfdb9);
        public static IconUsage FoodPizza => get(0xfdbd);
        public static IconUsage Multiplier12x => get(0xfdc5);
        public static IconUsage Multiplier15x => get(0xfdca);
        public static IconUsage Multiplier18x => get(0xfdcf);
        public static IconUsage Multiplier1x => get(0xfdd4);
        public static IconUsage Multiplier2x => get(0xfdd9);
        public static IconUsage Remote => get(0xfde0);
        public static IconUsage SkipBackward10 => get(0xfde6);
        public static IconUsage SubtractSquareMultiple => get(0xfef8);
        public static IconUsage AlignBottom => get(0xfdfc);
        public static IconUsage AlignCenterHorizontal => get(0xfe02);
        public static IconUsage AlignCenterVertical => get(0xfe08);
        public static IconUsage AlignLeft => get(0xfe0e);
        public static IconUsage AlignRight => get(0xfe14);
        public static IconUsage AlignTop => get(0xfe1a);
        public static IconUsage GroupDismiss => get(0xfe1d);
        public static IconUsage GroupReturn => get(0xfe1e);
        public static IconUsage MailInboxCheckmark => get(0xfe7d);
        public static IconUsage NumberSymbolSquare => get(0xfe2d);
        public static IconUsage Person5 => get(0xfe2f);
        public static IconUsage PersonTag => get(0xfe34);
        public static IconUsage BoardSplit => get(0xfe48);
        public static IconUsage ChevronUpDown => get(0x10001);
        public static IconUsage ClosedCaptionOff => get(0xfe55);
        public static IconUsage DesktopPulse => get(0xfe5d);
        public static IconUsage DismissSquare => get(0xfed3);
        public static IconUsage Flash => get(0xfe64);
        public static IconUsage FlashCheckmark => get(0xfe68);
        public static IconUsage HeadphonesSoundWave => get(0xfe72);
        public static IconUsage InkStroke => get(0xfe76);
        public static IconUsage LocationArrowLeft => get(0xfe7a);
        public static IconUsage LocationArrowRight => get(0xfe7b);
        public static IconUsage LocationArrowUp => get(0xfe7c);
        public static IconUsage Multiplier5x => get(0xfe83);
        public static IconUsage MusicNote2Play => get(0xfe84);
        public static IconUsage Person6 => get(0xfe89);
        public static IconUsage PremiumPerson => get(0xfe92);
        public static IconUsage ProhibitedMultiple => get(0xfe95);
        public static IconUsage ShieldCheckmark => get(0xfe9f);
        public static IconUsage AddSquareMultiple => get(0xfea3);
        public static IconUsage BookOpenMicrophone => get(0xfead);
        public static IconUsage BriefcaseOff => get(0xfeb3);
        public static IconUsage BuildingBankLink => get(0xfeba);
        public static IconUsage CalendarMail => get(0xfebb);
        public static IconUsage ChevronDoubleUp => get(0xfebf);
        public static IconUsage DocumentFooterDismiss => get(0xfed5);
        public static IconUsage DocumentHeaderArrowDown => get(0xfed7);
        public static IconUsage DocumentHeaderDismiss => get(0xfed8);
        public static IconUsage DocumentRibbon => get(0xfedf);
        public static IconUsage DriveTrain => get(0xfee1);
        public static IconUsage Engine => get(0xfee2);
        public static IconUsage FolderMail => get(0xff90);
        public static IconUsage FolderSync => get(0xff92);
        public static IconUsage Gas => get(0xfee5);
        public static IconUsage GasPump => get(0xfee6);
        public static IconUsage MailDismiss => get(0xf554);
        public static IconUsage MailProhibited => get(0xf5e2);
        public static IconUsage MicSparkle => get(0xfeec);
        public static IconUsage NotepadPerson => get(0xfeee);
        public static IconUsage SkipForwardTab => get(0xfef1);
        public static IconUsage SquareArrowForward => get(0xfef7);
        public static IconUsage Transmission => get(0xfef9);
        public static IconUsage WifiOff => get(0xfefb);
        public static IconUsage AnimalCat => get(0xf128);
        public static IconUsage ArchiveSettings => get(0xff25);
        public static IconUsage ArrowCircleDown => get(0x10120);
        public static IconUsage ArrowCircleDownDouble => get(0xf12f);
        public static IconUsage ArrowCircleDownSplit => get(0xf144);
        public static IconUsage ArrowFit => get(0xf14e);
        public static IconUsage ArrowGrowth => get(0xf155);
        public static IconUsage ArrowReset => get(0xf1a0);
        public static IconUsage ArrowSortDown => get(0xf811);
        public static IconUsage ArrowSortDownLines => get(0xf1ad);
        public static IconUsage ArrowSortUp => get(0xf821);
        public static IconUsage BarcodeScanner => get(0xf1e4);
        public static IconUsage BeakerEdit => get(0xf1e6);
        public static IconUsage BookToolbox => get(0xff34);
        public static IconUsage BookmarkAdd => get(0xf1e9);
        public static IconUsage BowlChopsticks => get(0xf1ed);
        public static IconUsage BrainCircuit => get(0xf83b);
        public static IconUsage BuildingBankToolbox => get(0xf83c);
        public static IconUsage CalendarInfo => get(0xff46);
        public static IconUsage CalendarPatterns => get(0xf206);
        public static IconUsage CallCheckmark => get(0xff48);
        public static IconUsage CallDismiss => get(0xf20b);
        public static IconUsage CallPause => get(0xf20d);
        public static IconUsage CellularDataUnavailable => get(0xf21f);
        public static IconUsage ChatSettings => get(0xf229);
        public static IconUsage Check => get(0xffff);
        public static IconUsage CheckboxCheckedSync => get(0x10000);
        public static IconUsage CheckmarkStarburst => get(0xf283);
        public static IconUsage ChevronDoubleDown => get(0xff50);
        public static IconUsage ChevronDoubleLeft => get(0xff51);
        public static IconUsage ChevronDoubleRight => get(0xff52);
        public static IconUsage Chopsticks => get(0xf309);
        public static IconUsage ClipboardHeart => get(0xff59);
        public static IconUsage ClipboardPulse => get(0x100bc);
        public static IconUsage ClipboardSettings => get(0x10139);
        public static IconUsage ClockArrowDownload => get(0x100bd);
        public static IconUsage CloudAdd => get(0xff61);
        public static IconUsage CloudEdit => get(0xff62);
        public static IconUsage CloudFlow => get(0x100be);
        public static IconUsage CloudLink => get(0xff63);
        public static IconUsage CommentError => get(0xff68);
        public static IconUsage CommentLightning => get(0xf361);
        public static IconUsage ContactCardLink => get(0xff6b);
        public static IconUsage ContractDownLeft => get(0xf397);
        public static IconUsage CreditCardToolbox => get(0x10147);
        public static IconUsage DataUsageEdit => get(0xff6f);
        public static IconUsage DesktopSync => get(0xf3b3);
        public static IconUsage DocumentArrowUp => get(0x10008);
        public static IconUsage DocumentBulletList => get(0xf403);
        public static IconUsage DocumentLink => get(0x1000a);
        public static IconUsage DocumentPerson => get(0x1000b);
        public static IconUsage DocumentSettings => get(0x100d0);
        public static IconUsage DocumentSplitHint => get(0x100d2);
        public static IconUsage DocumentSplitHintOff => get(0xf424);
        public static IconUsage EditArrowBack => get(0x1000c);
        public static IconUsage EqualOff => get(0xff84);
        public static IconUsage ErrorCircleSettings => get(0xff85);
        public static IconUsage ExpandUpLeft => get(0xf44c);
        public static IconUsage ExpandUpRight => get(0xf497);
        public static IconUsage Fax => get(0xff87);
        public static IconUsage Flow => get(0xff8c);
        public static IconUsage FolderGlobe => get(0xff8f);
        public static IconUsage FolderPerson => get(0xff91);
        public static IconUsage Gauge => get(0xf4c8);
        public static IconUsage GiftCard => get(0xf4ce);
        public static IconUsage GiftCardAdd => get(0xfa39);
        public static IconUsage GlobeStar => get(0xff99);
        public static IconUsage HeadsetAdd => get(0xf4ff);
        public static IconUsage HeartBroken => get(0xff9c);
        public static IconUsage LaptopDismiss => get(0x100dc);
        public static IconUsage MailAlert => get(0xf52b);
        public static IconUsage MailArrowDown => get(0x10018);
        public static IconUsage MailArrowUp => get(0xf54b);
        public static IconUsage MailCheckmark => get(0x1001b);
        public static IconUsage MailError => get(0x1001c);
        public static IconUsage MailInboxArrowDown => get(0x1001d);
        public static IconUsage MailLink => get(0xf58c);
        public static IconUsage MailPause => get(0x1001e);
        public static IconUsage MailSettings => get(0x1001f);
        public static IconUsage MailShield => get(0x10020);
        public static IconUsage MailTemplate => get(0xffa4);
        public static IconUsage MailWarning => get(0xf5ee);
        public static IconUsage MegaphoneLoud => get(0xf64b);
        public static IconUsage Microscope => get(0xf64f);
        public static IconUsage Molecule => get(0xf65f);
        public static IconUsage NotePin => get(0x10022);
        public static IconUsage NotepadEdit => get(0xffa9);
        public static IconUsage PaddingDown => get(0xf682);
        public static IconUsage PaddingLeft => get(0xf69e);
        public static IconUsage PaddingRight => get(0xf6a0);
        public static IconUsage PaddingTop => get(0xf6b9);
        public static IconUsage Patch => get(0xf6bb);
        public static IconUsage PauseCircle => get(0x10023);
        public static IconUsage PeopleSync => get(0x10025);
        public static IconUsage PeopleToolbox => get(0x10026);
        public static IconUsage PersonChat => get(0xf6d3);
        public static IconUsage PersonInfo => get(0x100e6);
        public static IconUsage PersonLock => get(0x10162);
        public static IconUsage PersonSubtract => get(0xf6ed);
        public static IconUsage PhoneCheckmark => get(0x10028);
        public static IconUsage Pill => get(0xf6f3);
        public static IconUsage PrintAdd => get(0xfadd);
        public static IconUsage Production => get(0xf6fe);
        public static IconUsage ProductionCheckmark => get(0xf704);
        public static IconUsage RatioOneToOne => get(0xf70b);
        public static IconUsage ReceiptAdd => get(0xfadf);
        public static IconUsage ReceiptBag => get(0xfae0);
        public static IconUsage ReceiptCube => get(0xfae1);
        public static IconUsage ReceiptMoney => get(0x1002c);
        public static IconUsage RecordStop => get(0xf765);
        public static IconUsage RibbonAdd => get(0xf767);
        public static IconUsage Server => get(0xf76c);
        public static IconUsage ShieldBadge => get(0xfb2f);
        public static IconUsage ShoppingBag => get(0xf770);
        public static IconUsage SlideMultipleSearch => get(0xf774);
        public static IconUsage Smartwatch => get(0xf776);
        public static IconUsage SmartwatchDot => get(0xf787);
        public static IconUsage Stack => get(0xf7a6);
        public static IconUsage SubtractCircle => get(0x100ec);
        public static IconUsage TagMultiple => get(0x10031);
        public static IconUsage TargetArrow => get(0xffc5);
        public static IconUsage TextBulletListSquareEdit => get(0xf7ba);
        public static IconUsage TooltipQuote => get(0xffc8);
        public static IconUsage VehicleCarProfileLtr => get(0x10036);
        public static IconUsage VehicleCarProfileRtl => get(0x10037);
        public static IconUsage VoicemailArrowBack => get(0xf7eb);
        public static IconUsage VoicemailArrowForward => get(0xf7ec);
        public static IconUsage VoicemailSubtract => get(0xf7fc);
        public static IconUsage WindowEdit => get(0xf804);
        public static IconUsage ArrowTurnBidirectionalDownRight => get(0xf822);
        public static IconUsage ArrowTurnRight => get(0xf839);
        public static IconUsage BookQuestionMarkRtl => get(0xf83a);
        public static IconUsage CalendarSearch => get(0xfff9);
        public static IconUsage ChatMultiple => get(0xf8d3);
        public static IconUsage CircleSubtractArrowBack => get(0x10002);
        public static IconUsage CircleSubtractArrowForward => get(0x10003);
        public static IconUsage ClipboardBulletListLtr => get(0xff53);
        public static IconUsage ClipboardBulletListRtl => get(0xff54);
        public static IconUsage ColumnEdit => get(0xf937);
        public static IconUsage Diagram => get(0xf93b);
        public static IconUsage DocumentArrowDown => get(0xff79);
        public static IconUsage DocumentBulletListClock => get(0xf9c2);
        public static IconUsage DocumentBulletListOff => get(0xf9c3);
        public static IconUsage DocumentMultiple => get(0x10113);
        public static IconUsage DocumentPill => get(0xf9c6);
        public static IconUsage DocumentSave => get(0xf9c8);
        public static IconUsage Door => get(0xff82);
        public static IconUsage DualScreenArrowUp => get(0xf9f6);
        public static IconUsage DualScreenClosedAlert => get(0xf9f7);
        public static IconUsage EmojiMultiple => get(0xfa36);
        public static IconUsage GanttChart => get(0xfa38);
        public static IconUsage HandDraw => get(0xfa47);
        public static IconUsage ImageArrowBack => get(0xfa48);
        public static IconUsage ImageArrowForward => get(0xfa49);
        public static IconUsage ImageReflection => get(0xfa4b);
        public static IconUsage ImageShadow => get(0xfa4c);
        public static IconUsage LocalLanguageZi => get(0xfa50);
        public static IconUsage MailArrowDoubleBack => get(0x10017);
        public static IconUsage MailArrowForward => get(0x10019);
        public static IconUsage MailAttach => get(0x1001a);
        public static IconUsage PeopleList => get(0xffab);
        public static IconUsage PeopleMoney => get(0xfad6);
        public static IconUsage PersonPill => get(0xfad8);
        public static IconUsage PersonSettings => get(0x10027);
        public static IconUsage Pivot => get(0xfadb);
        public static IconUsage ScanObject => get(0xfae3);
        public static IconUsage ShieldLock => get(0xffbc);
        public static IconUsage SlideGrid => get(0xfbce);
        public static IconUsage Square => get(0x100e9);
        public static IconUsage SquareAdd => get(0xffbd);
        public static IconUsage SquareHintArrowBack => get(0xfc6e);
        public static IconUsage Steps => get(0xfefd);
        public static IconUsage TabDesktopBottom => get(0xfefe);
        public static IconUsage TabDesktopMultipleBottom => get(0xfeff);
        public static IconUsage TaskListSquareAdd => get(0xff01);
        public static IconUsage TaskListSquareLtr => get(0xff03);
        public static IconUsage TaskListSquareRtl => get(0xff05);
        public static IconUsage TextAlignDistributedEvenly => get(0xff06);
        public static IconUsage TextAlignDistributedVertical => get(0xff07);
        public static IconUsage TextAlignJustifyLow => get(0xff08);
        public static IconUsage TextBulletList => get(0xff0a);
        public static IconUsage TextClearFormattingGa => get(0xff0b);
        public static IconUsage TextColorGa => get(0xff0c);
        public static IconUsage TextDirectionLtrAc => get(0xff0e);
        public static IconUsage TextDirectionRotate90Ac => get(0xff0f);
        public static IconUsage TextDirectionVerticalAc => get(0xff10);
        public static IconUsage TextEditStyleGa => get(0xff11);
        public static IconUsage TextEffectsGa => get(0xff12);
        public static IconUsage TextFootnoteGaNa => get(0xff13);
        public static IconUsage TextNumberFormatGaNaDa => get(0xff14);
        public static IconUsage TextProofingToolsGaNaDa => get(0xff15);
        public static IconUsage TextProofingToolsZi => get(0xff16);
        public static IconUsage TextboxMore => get(0xff17);
        public static IconUsage WindowAdPerson => get(0xff1b);
        public static IconUsage WindowDevEdit => get(0xffcf);
        public static IconUsage ArrowAutofitHeightDotted => get(0xff1d);
        public static IconUsage ArrowAutofitWidthDotted => get(0xff1e);
        public static IconUsage MultiselectRtl => get(0xff1f);
        public static IconUsage TextDirectionHorizontalRtl => get(0xff21);
        public static IconUsage TextDirectionRotate90Rtl => get(0xff23);
        public static IconUsage ArrowClockwiseDashes => get(0xff28);
        public static IconUsage ArrowCounterclockwiseDashes => get(0xff2a);
        public static IconUsage ArrowExportUp => get(0xff2d);
        public static IconUsage ArrowRouting => get(0xff2f);
        public static IconUsage ArrowRoutingRectangleMultiple => get(0xff31);
        public static IconUsage BinFull => get(0xff33);
        public static IconUsage Box => get(0xff35);
        public static IconUsage BracesVariable => get(0xff37);
        public static IconUsage BuildingRetailMoney => get(0xff3c);
        public static IconUsage BuildingRetailShield => get(0xff3e);
        public static IconUsage BuildingRetailToolbox => get(0xff40);
        public static IconUsage CalculatorMultiple => get(0xff42);
        public static IconUsage CameraDome => get(0xff4e);
        public static IconUsage ClipboardCheckmark => get(0xff56);
        public static IconUsage ClipboardError => get(0xff58);
        public static IconUsage ClipboardTask => get(0xff5b);
        public static IconUsage ClipboardTaskAdd => get(0xff5d);
        public static IconUsage ClipboardTaskListLtr => get(0xff5f);
        public static IconUsage ColumnTripleEdit => get(0xff67);
        public static IconUsage CommunicationPerson => get(0xff6a);
        public static IconUsage DataTrending => get(0xff6e);
        public static IconUsage Database => get(0xff71);
        public static IconUsage DatabaseSearch => get(0xff73);
        public static IconUsage DeleteArrowBack => get(0xff74);
        public static IconUsage DesktopEdit => get(0xff75);
        public static IconUsage DockPanelBottom => get(0xff78);
        public static IconUsage DocumentHeart => get(0xff7b);
        public static IconUsage DocumentHeartPulse => get(0xff7d);
        public static IconUsage DocumentMultipleProhibited => get(0xff80);
        public static IconUsage EyeOff => get(0xff86);
        public static IconUsage GlobeSurface => get(0xff9b);
        public static IconUsage ImageProhibited => get(0xff9f);
        public static IconUsage Iot => get(0xffa2);
        public static IconUsage MailOpenPerson => get(0xffa3);
        public static IconUsage NoteEdit => get(0xffa8);
        public static IconUsage PeopleTeamToolbox => get(0xffae);
        public static IconUsage PersonMoney => get(0xffb1);
        public static IconUsage PhoneEraser => get(0xffb2);
        public static IconUsage PortHdmi => get(0xffb3);
        public static IconUsage PortMicroUsb => get(0xffb4);
        public static IconUsage PortUsbA => get(0xffb5);
        public static IconUsage PortUsbC => get(0xffb6);
        public static IconUsage ReceiptPlay => get(0xffb9);
        public static IconUsage SaveSearch => get(0xffba);
        public static IconUsage SearchSettings => get(0xffbb);
        public static IconUsage Stream => get(0xffc0);
        public static IconUsage Syringe => get(0xffc2);
        public static IconUsage TagDismiss => get(0x101a7);
        public static IconUsage Umbrella => get(0xffca);
        public static IconUsage VideoAdd => get(0xffcd);
        public static IconUsage Xray => get(0xffd1);
        public static IconUsage ArrowAutofitDown => get(0xffd2);
        public static IconUsage ArrowAutofitUp => get(0xffd3);
        public static IconUsage ClipboardTaskListRtl => get(0xffd5);
        public static IconUsage Comma => get(0xffd6);
        public static IconUsage TextAlignCenterRotate270 => get(0xffd7);
        public static IconUsage TextAlignJustifyLowRotate90 => get(0xffd8);
        public static IconUsage TextAlignJustifyRotate90 => get(0xffd9);
        public static IconUsage TextAlignLeftRotate270 => get(0xffda);
        public static IconUsage TextAlignRightRotate270 => get(0xffdb);
        public static IconUsage TextDirectionRtlAc => get(0xffdd);
        public static IconUsage TextStrikethrough => get(0xffe0);
        public static IconUsage TextboxAlignBottomRotate90 => get(0xffe1);
        public static IconUsage TextboxAlignMiddleRotate90 => get(0xffe2);
        public static IconUsage TextboxAlignTopRotate90 => get(0xffe3);
        public static IconUsage TextDirectionRotate90Ltr => get(0xffe5);
        public static IconUsage ArrowSortDownLine => get(0xffef);
        public static IconUsage ArrowSplit => get(0xfff0);
        public static IconUsage BatteryCheckmark => get(0xfff1);
        public static IconUsage CalendarPattern => get(0xfff5);
        public static IconUsage CalendarPhone => get(0xfff8);
        public static IconUsage ChatArrowBack => get(0xfffc);
        public static IconUsage ChatArrowDoubleBack => get(0xfffe);
        public static IconUsage CursorClick => get(0x10005);
        public static IconUsage IosArrowRight => get(0x10012);
        public static IconUsage MultiselectRlt => get(0x10021);
        public static IconUsage TextBox => get(0x10032);
        public static IconUsage TextDirectionRotate270Ltr => get(0x10034);
        public static IconUsage TextDirectionHorizontalLeft => get(0x1003b);
        public static IconUsage TextDirectionHorizontalRight => get(0x1003d);
        public static IconUsage TextDirectionRotate270Right => get(0x1003f);
        public static IconUsage TextDirectionRotate90Left => get(0x10041);
        public static IconUsage TextDirectionRotate90Right => get(0x10043);
        public static IconUsage ArrowAutofitContent => get(0x10044);
        public static IconUsage ArrowTrendingLines => get(0x10046);
        public static IconUsage CalendarError => get(0x10047);
        public static IconUsage CellularWarning => get(0x10048);
        public static IconUsage CloudArrowDown => get(0x1004e);
        public static IconUsage CloudArrowUp => get(0x10054);
        public static IconUsage CloudCheckmark => get(0x1005a);
        public static IconUsage CloudDismiss => get(0x10060);
        public static IconUsage GridDots => get(0x10063);
        public static IconUsage IosArrowLtr => get(0x10064);
        public static IconUsage IosArrowRtl => get(0x10065);
        public static IconUsage MailMultiple => get(0x10068);
        public static IconUsage PanelBottom => get(0x10069);
        public static IconUsage PanelLeft => get(0x1006e);
        public static IconUsage PanelRight => get(0x10073);
        public static IconUsage PanelRightContract => get(0x10076);
        public static IconUsage PanelRightExpand => get(0x10079);
        public static IconUsage PuzzlePiece => get(0x1007c);
        public static IconUsage ScanTable => get(0x1007d);
        public static IconUsage ScanText => get(0x1007e);
        public static IconUsage ScanType => get(0x10080);
        public static IconUsage ScanTypeOff => get(0x10081);
        public static IconUsage ShieldTask => get(0x10086);
        public static IconUsage StackStar => get(0x1008a);
        public static IconUsage SubtractCircleArrowBack => get(0x1008c);
        public static IconUsage SubtractCircleArrowForward => get(0x1008e);
        public static IconUsage TextAddT => get(0x1008f);
        public static IconUsage TextMore => get(0x10090);
        public static IconUsage TextT => get(0x10092);
        public static IconUsage UsbPlug => get(0x10094);
        public static IconUsage WifiLock => get(0x10095);
        public static IconUsage ArrowBidirectionalUpDown => get(0x10099);
        public static IconUsage ArrowCircleDownUp => get(0x1009a);
        public static IconUsage ArrowCircleLeft => get(0x10125);
        public static IconUsage ArrowEject => get(0x1009f);
        public static IconUsage ArrowMoveInward => get(0x100a2);
        public static IconUsage ArrowStepInLeft => get(0x100a7);
        public static IconUsage ArrowStepInRight => get(0x100a9);
        public static IconUsage BezierCurveSquare => get(0x100ae);
        public static IconUsage Braces => get(0x100b1);
        public static IconUsage BuildingLighthouse => get(0x100b2);
        public static IconUsage ChatDismiss => get(0x100b5);
        public static IconUsage CheckboxIndeterminate => get(0x100b9);
        public static IconUsage CircleOff => get(0x100bb);
        public static IconUsage CloudSwap => get(0x100c0);
        public static IconUsage CodeCircle => get(0x100c1);
        public static IconUsage CommentMultipleCheckmark => get(0x100c6);
        public static IconUsage DeveloperBoardSearch => get(0x100c8);
        public static IconUsage DocumentChevronDouble => get(0x100ca);
        public static IconUsage DocumentCss => get(0x100cb);
        public static IconUsage DocumentJavascript => get(0x100cc);
        public static IconUsage DocumentMultiplePercent => get(0x10114);
        public static IconUsage DocumentPercent => get(0x100cf);
        public static IconUsage DoorArrowRight => get(0x100d6);
        public static IconUsage GlanceHorizontal => get(0x10118);
        public static IconUsage HighlightLink => get(0x100da);
        public static IconUsage Keyboard123 => get(0x100db);
        public static IconUsage PanelBottomContract => get(0x100de);
        public static IconUsage PanelBottomExpand => get(0x100df);
        public static IconUsage PanelLeftExpand => get(0x10119);
        public static IconUsage PanelSeparateWindow => get(0x100e1);
        public static IconUsage PanelTopContract => get(0x100e2);
        public static IconUsage PanelTopExpand => get(0x100e3);
        public static IconUsage PauseOff => get(0x100e4);
        public static IconUsage Replay => get(0x100e8);
        public static IconUsage SquareDismiss => get(0x100eb);
        public static IconUsage TagCircle => get(0x100ed);
        public static IconUsage TextPeriodAsterisk => get(0x100f3);
        public static IconUsage Triangle => get(0x100f5);
        public static IconUsage WifiSettings => get(0x100f6);
        public static IconUsage WindowAdOff => get(0x100f9);
        public static IconUsage WindowConsole => get(0x100fc);
        public static IconUsage WindowHeaderHorizontalOff => get(0x100fd);
        public static IconUsage AlignEndHorizontal => get(0x10101);
        public static IconUsage AlignEndVertical => get(0x10102);
        public static IconUsage AlignSpaceAroundHorizontal => get(0x10103);
        public static IconUsage AlignSpaceAroundVertical => get(0x10104);
        public static IconUsage AlignSpaceBetweenHorizontal => get(0x10105);
        public static IconUsage AlignSpaceBetweenVertical => get(0x10106);
        public static IconUsage AlignSpaceEvenlyHorizontal => get(0x10107);
        public static IconUsage AlignSpaceEvenlyVertical => get(0x10108);
        public static IconUsage AlignSpaceFitVertical => get(0x10109);
        public static IconUsage AlignStartHorizontal => get(0x1010a);
        public static IconUsage AlignStartVertical => get(0x1010b);
        public static IconUsage AlignStretchHorizontal => get(0x1010c);
        public static IconUsage AlignStretchVertical => get(0x1010d);
        public static IconUsage ArrowCollapseAll => get(0x1010f);
        public static IconUsage ArrowWrap => get(0x10110);
        public static IconUsage ArrowWrapOff => get(0x10111);
        public static IconUsage DocumentTable => get(0x10117);
        public static IconUsage SquareShadow => get(0x1011a);
        public static IconUsage TextBaseline => get(0x1011b);
        public static IconUsage ArrowTrendingCheckmark => get(0x1012f);
        public static IconUsage ArrowTrendingSettings => get(0x10131);
        public static IconUsage ChannelSubtract => get(0x10138);
        public static IconUsage CloudArchive => get(0x1013b);
        public static IconUsage CloudWords => get(0x10141);
        public static IconUsage ColumnArrowRight => get(0x10142);
        public static IconUsage ControlButton => get(0x10144);
        public static IconUsage CreditCardPerson => get(0x10146);
        public static IconUsage CubeLink => get(0x10148);
        public static IconUsage DeleteLines => get(0x10149);
        public static IconUsage Diversity => get(0x10150);
        public static IconUsage GlobeProhibited => get(0x10152);
        public static IconUsage Guardian => get(0x1015a);
        public static IconUsage MoneyCalculator => get(0x1015e);
        public static IconUsage MoneySettings => get(0x1015f);
        public static IconUsage PauseSettings => get(0x10161);
        public static IconUsage RoadCone => get(0x10169);
        public static IconUsage ScanThumbUp => get(0x1016e);
        public static IconUsage ScreenShareStart => get(0x1016f);
        public static IconUsage ShieldVideo => get(0x10173);
        public static IconUsage VehicleCarCollision => get(0x1017c);
        public static IconUsage Wallet => get(0x1017e);
        public static IconUsage DesktopKeyboard => get(0x10185);
        public static IconUsage ScanThumbUpOff => get(0x10196);
        public static IconUsage ShareScreenPerson => get(0x1019b);
        public static IconUsage ShareScreenPersonOverlay => get(0x1019f);
        public static IconUsage ShareScreenPersonOverlayInside => get(0x101a3);
        public static IconUsage TagLock => get(0x101ab);
        public static IconUsage TextIndentDecreaseLtr => get(0x101b5);
        public static IconUsage TextIndentDecreaseRtl => get(0x101b8);
        public static IconUsage TextIndentIncreaseLtr => get(0x101bc);
        public static IconUsage TextIndentIncreaseRtl => get(0x101bf);
        public static IconUsage TextParagraphDirectionLeft => get(0x101c3);
        public static IconUsage TextParagraphDirectionRight => get(0x101c5);
    }
}
